Bug 359611 - Plasmashell loads itself incompletely and with long delays
Summary: Plasmashell loads itself incompletely and with long delays
Status: RESOLVED UPSTREAM
Alias: None
Product: plasmashell
Classification: Unclassified
Component: general (show other bugs)
Version: 5.5.4
Platform: Gentoo Packages Linux
: NOR critical
Target Milestone: 1.0
Assignee: David Edmundson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-20 18:13 UTC by Eugene Shalygin
Modified: 2016-06-21 00:11 UTC (History)
17 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
thread apply all bt on locked up kded5 (7.26 KB, text/plain)
2016-02-24 16:24 UTC, Hrvoje Senjan
Details
ANother one with libQt5Core debuginfo (15.64 KB, text/plain)
2016-02-24 16:37 UTC, Hrvoje Senjan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Shalygin 2016-02-20 18:13:08 UTC
Loading of the plasnashell takes more than minute. If I interrupt it when I/O activity stops, gdb shows the following backtrace:

(gdb) bt
#0  0x00007ffff1dc6faf in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007ffff2c97f1a in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQt5Core.so.5
#2  0x00007ffff7f66fa4 in QDBusPendingCallPrivate::waitForFinished() () from /usr/lib64/libQt5DBus.so.5
#3  0x00007ffff7f23051 in QDBusConnectionPrivate::sendWithReply(QDBusMessage const&, int, int) () from /usr/lib64/libQt5DBus.so.5
#4  0x00007ffff7f10e7b in QDBusConnection::call(QDBusMessage const&, QDBus::CallMode, int) const () from /usr/lib64/libQt5DBus.so.5
#5  0x00007ffff7f2c02f in QDBusAbstractInterfacePrivate::property(QMetaProperty const&, void*) const [clone .part.35] [clone .constprop.40] ()
   from /usr/lib64/libQt5DBus.so.5
#6  0x00007ffff7f2e5df in QDBusAbstractInterfaceBase::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib64/libQt5DBus.so.5
#7  0x00007ffff7f2e757 in QDBusAbstractInterface::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib64/libQt5DBus.so.5
#8  0x00007fff347e7675 in OrgKdeStatusNotifierWatcherInterface::qt_metacall(QMetaObject::Call, int, void**) ()
   from /usr/lib64/qt5/plugins/plasma/dataengine/plasma_engine_statusnotifieritem.so
#9  0x00007ffff2e432de in QMetaProperty::read(QObject const*) const () from /usr/lib64/libQt5Core.so.5
#10 0x00007ffff2e5fa88 in QObject::property(char const*) const () from /usr/lib64/libQt5Core.so.5
#11 0x00007fff347c7d73 in StatusNotifierItemEngine::registerWatcher(QString const&) [clone .part.9] [clone .constprop.20] ()
   from /usr/lib64/qt5/plugins/plasma/dataengine/plasma_engine_statusnotifieritem.so
#12 0x00007fff347c86f8 in StatusNotifierItemEngine::init() () from /usr/lib64/qt5/plugins/plasma/dataengine/plasma_engine_statusnotifieritem.so
#13 0x00007fff347c8b51 in QObject* KPluginFactory::createInstance<StatusNotifierItemEngine, QObject>(QWidget*, QObject*, QList<QVariant> const&) ()
   from /usr/lib64/qt5/plugins/plasma/dataengine/plasma_engine_statusnotifieritem.so
#14 0x00007ffff45df739 in KPluginFactory::create (this=0x2b61570, iface=0x7ffff63950a8 <qt_meta_stringdata_Plasma__DataEngine+552> "Plasma::DataEngine", 
    parentWidget=0x0, parent=0x0, args=..., keyword=...) at 
/usr/src/debug/kde-frameworks/kcoreaddons-5.19.0/kcoreaddons-5.19.0/src/lib/plugin/kpluginfactory.cpp:145
#15 0x00007ffff6326eac in Plasma::PluginLoader::loadDataEngine(QString const&) () from /usr/lib64/libKF5Plasma.so.5
#16 0x00007ffff635b3d0 in Plasma::DataEngineManager::loadEngine(QString const&) () from /usr/lib64/libKF5Plasma.so.5
#17 0x00007ffff6350d40 in Plasma::DataEngineConsumer::dataEngine(QString const&) () from /usr/lib64/libKF5Plasma.so.5
#18 0x00007fff3533b30e in SystemTray::DBusSystemTrayProtocol::DBusSystemTrayProtocol(QObject*) ()
   from /usr/lib64/qt5/qml/org/kde/private/systemtray/libsystemtrayplugin.so
#19 0x00007fff3532fdf1 in SystemTray::Host::init() () from /usr/lib64/qt5/qml/org/kde/private/systemtray/libsystemtrayplugin.so
---Type <return> to continue, or q <return> to quit---
#20 0x00007fff35346fd5 in SystemTray::Host::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) ()
   from /usr/lib64/qt5/qml/org/kde/private/systemtray/libsystemtrayplugin.so
#21 0x00007ffff2e5f401 in QObject::event(QEvent*) () from /usr/lib64/libQt5Core.so.5
#22 0x00007ffff38cbaac in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQt5Widgets.so.5
#23 0x00007ffff38d0cee in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQt5Widgets.so.5
#24 0x00007ffff2e3697a in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /usr/lib64/libQt5Core.so.5
#25 0x00007ffff2e389ca in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib64/libQt5Core.so.5
#26 0x00007ffff2e85953 in postEventSourceDispatch(_GSource*, int (*)(void*), void*) () from /usr/lib64/libQt5Core.so.5
#27 0x00007fffee30ed57 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#28 0x00007fffee30efb0 in g_main_context_iterate.isra () from /usr/lib64/libglib-2.0.so.0
#29 0x00007fffee30f05c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#30 0x00007ffff2e859cf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#31 0x00007ffff2e3580a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#32 0x00007ffff2e3d32c in QCoreApplication::exec() () from /usr/lib64/libQt5Core.so.5
#33 0x0000000000432919 in main ()

If systemtray is removed from the panel, the Plasma (re)loads in a few seconds. The adding of the systemtray takes the same minutes (with the same backtrace) as loading plasma with it.
And there are no "Suspend" and "Hibernate" actions in the launcher menu whether plasmashell contains systemtray or not. 

Reproducible: Always

Steps to Reproduce:
1. login to Plasma or kill and start plasmashell



$ qdbus command executes without delays
Comment 1 David Edmundson 2016-02-20 18:35:24 UTC
your kded is blocked. 

Can you get you get a gdb trace on that for all threads.
Comment 2 Eugene Shalygin 2016-02-20 20:28:18 UTC
Here it is, please:

(gdb) thread apply all bt

Thread 7 (Thread 0x7fd1d4531700 (LWP 8641)):
#0  0x00007fd1ed58dfaf in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007fd1efcacf1a in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQt5Core.so.5
#2  0x00007fd1efca70bb in QSemaphore::acquire(int) () from /usr/lib64/libQt5Core.so.5
#3  0x00007fd1f1261fc1 in QDBusConnectionPrivate::handleObjectCall(QDBusMessage const&) () from /usr/lib64/libQt5DBus.so.5
#4  0x00007fd1efe74401 in QObject::event(QEvent*) () from /usr/lib64/libQt5Core.so.5
#5  0x00007fd1efe4b84a in doNotify(QObject*, QEvent*) [clone .constprop.63] () from /usr/lib64/libQt5Core.so.5
#6  0x00007fd1efe4b98b in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /usr/lib64/libQt5Core.so.5
#7  0x00007fd1efe4d9ca in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib64/libQt5Core.so.5
#8  0x00007fd1efe9a953 in postEventSourceDispatch(_GSource*, int (*)(void*), void*) () from /usr/lib64/libQt5Core.so.5
#9  0x00007fd1ec811d57 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#10 0x00007fd1ec811fb0 in g_main_context_iterate.isra () from /usr/lib64/libglib-2.0.so.0
#11 0x00007fd1ec81205c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#12 0x00007fd1efe9a9cf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#13 0x00007fd1efe4a80a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#14 0x00007fd1efca8404 in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#15 0x00007fd1f1251395 in QDBusConnectionManager::run() () from /usr/lib64/libQt5DBus.so.5
#16 0x00007fd1efcac8ac in QThreadPrivate::start(void*) () from /usr/lib64/libQt5Core.so.5
#17 0x00007fd1ed588424 in start_thread () from /lib64/libpthread.so.0
#18 0x00007fd1ef950dbd in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7fd1cb58b700 (LWP 8652)):
#0  0x00007fd1ef947d3d in poll () from /lib64/libc.so.6
#1  0x00007fd1ec811f4c in g_main_context_iterate.isra () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fd1ec81205c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fd1ec812099 in glib_worker_main () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fd1ec8385f5 in g_thread_proxy () from /usr/lib64/libglib-2.0.so.0
#5  0x00007fd1ed588424 in start_thread () from /lib64/libpthread.so.0
#6  0x00007fd1ef950dbd in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7fd1cad8a700 (LWP 8653)):
#0  0x00007fd1ef947d3d in poll () from /lib64/libc.so.6
#1  0x00007fd1ec811f4c in g_main_context_iterate.isra () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fd1ec8122d2 in g_main_loop_run () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fd1d04944c6 in gdbus_shared_thread_func () from /usr/lib64/libgio-2.0.so.0
#4  0x00007fd1ec8385f5 in g_thread_proxy () from /usr/lib64/libglib-2.0.so.0
#5  0x00007fd1ed588424 in start_thread () from /lib64/libpthread.so.0
#6  0x00007fd1ef950dbd in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7fd1c2b50700 (LWP 8679)):
#0  0x00007fd1ef947d3d in poll () from /lib64/libc.so.6
#1  0x00007fd1ec811f4c in g_main_context_iterate.isra () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fd1ec81205c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fd1efe9a9eb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#4  0x00007fd1efe4a80a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#5  0x00007fd1efca8404 in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#6  0x00007fd1c98913b7 in KCupsConnection::run() () from /usr/lib64/libkcupslib.so
#7  0x00007fd1efcac8ac in QThreadPrivate::start(void*) () from /usr/lib64/libQt5Core.so.5
#8  0x00007fd1ed588424 in start_thread () from /lib64/libpthread.so.0
#9  0x00007fd1ef950dbd in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7fd1c234f700 (LWP 8680)):
#0  0x00007fd1ef947d3d in poll () from /lib64/libc.so.6
#1  0x00007fd1ec811f4c in g_main_context_iterate.isra () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fd1ec81205c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fd1efe9a9cf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#4  0x00007fd1efe4a80a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#5  0x00007fd1efca8404 in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#6  0x00007fd1efcac8ac in QThreadPrivate::start(void*) () from /usr/lib64/libQt5Core.so.5
#7  0x00007fd1ed588424 in start_thread () from /lib64/libpthread.so.0
#8  0x00007fd1ef950dbd in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7fd1b7fff700 (LWP 8722)):
#0  0x00007fd1ef947d3d in poll () from /lib64/libc.so.6
#1  0x00007fd1ec811f4c in g_main_context_iterate.isra () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fd1ec81205c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fd1efe9a9cf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#4  0x00007fd1efe4a80a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#5  0x00007fd1efca8404 in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#6  0x00007fd1efcac8ac in QThreadPrivate::start(void*) () from /usr/lib64/libQt5Core.so.5
#7  0x00007fd1ed588424 in start_thread () from /lib64/libpthread.so.0
#8  0x00007fd1ef950dbd in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7fd1f1308740 (LWP 8632)):
#0  0x00007fd1ed58dfaf in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007fd1efcacf1a in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQt5Core.so.5
#2  0x00007fd1f12a7fa4 in QDBusPendingCallPrivate::waitForFinished() () from /usr/lib64/libQt5DBus.so.5
#3  0x00007fd1f12a8bc6 in QDBusPendingReplyData::argumentAt(int) const () from /usr/lib64/libQt5DBus.so.5
#4  0x00007fd1e3047be6 in KGlobalAccelPrivate::updateGlobalShortcut(QAction*, QFlags<KGlobalAccelPrivate::ShortcutType>, KGlobalAccel::GlobalShortcutLoading) ()
   from /usr/lib64/libKF5GlobalAccel.so.5
#5  0x00007fd1e30487bd in KGlobalAccel::setShortcut(QAction*, QList<QKeySequence> const&, KGlobalAccel::GlobalShortcutLoading) () from /usr/lib64/libKF5GlobalAccel.so.5
#6  0x00007fd1aa02f564 in KHotKeys::ShortcutsHandler::addAction(QString const&, QString const&, KShortcut const&) () from /usr/lib64/libkhotkeysprivate.so.5
#7  0x00007fd1aa020555 in KHotKeys::ShortcutTrigger::activate(bool) () from /usr/lib64/libkhotkeysprivate.so.5
#8  0x00007fd1aa01fb0f in KHotKeys::ShortcutTrigger::enable() () from /usr/lib64/libkhotkeysprivate.so.5
#9  0x00007fd1aa0182d7 in KHotKeys::SimpleActionData::doEnable() () from /usr/lib64/libkhotkeysprivate.so.5
#10 0x00007fd1aa02bea3 in SettingsReaderV2::readActionData(KConfigGroup const&, KHotKeys::ActionDataGroup*) () from /usr/lib64/libkhotkeysprivate.so.5
#11 0x00007fd1aa02b6e8 in SettingsReaderV2::readGroup(KConfigGroup const&, KHotKeys::ActionDataGroup*) () from /usr/lib64/libkhotkeysprivate.so.5
#12 0x00007fd1aa02bdee in SettingsReaderV2::readActionData(KConfigGroup const&, KHotKeys::ActionDataGroup*) () from /usr/lib64/libkhotkeysprivate.so.5
#13 0x00007fd1aa02c197 in SettingsReaderV2::read(KConfigBase const&, KHotKeys::ActionDataGroup*) () from /usr/lib64/libkhotkeysprivate.so.5
#14 0x00007fd1aa028939 in KHotKeys::Settings::read_settings(KHotKeys::ActionDataGroup*, KConfigBase const&, bool, KHotKeys::ActionState) ()
   from /usr/lib64/libkhotkeysprivate.so.5
#15 0x00007fd1aa029077 in KHotKeys::Settings::reread_settings(bool) () from /usr/lib64/libkhotkeysprivate.so.5
#16 0x00007fd1aa2ac423 in KHotKeysModule::reread_configuration() () from /usr/lib64/qt5/plugins/kf5/kded/khotkeys.so
#17 0x00007fd1aa2ac7ac in KHotKeysModule::initialize() () from /usr/lib64/qt5/plugins/kf5/kded/khotkeys.so
#18 0x00007fd1aa2ad7f5 in KHotKeysModule::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) [clone .part.0] () from /usr/lib64/qt5/plugins/kf5/kded/khotkeys.so
#19 0x00007fd1efe74401 in QObject::event(QEvent*) () from /usr/lib64/libQt5Core.so.5
#20 0x00007fd1ee737aac in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQt5Widgets.so.5
#21 0x00007fd1ee73ccee in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQt5Widgets.so.5
#22 0x00007fd1efe4b97a in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /usr/lib64/libQt5Core.so.5
#23 0x00007fd1efe4d9ca in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib64/libQt5Core.so.5
#24 0x00007fd1efe9a953 in postEventSourceDispatch(_GSource*, int (*)(void*), void*) () from /usr/lib64/libQt5Core.so.5
#25 0x00007fd1ec811d57 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#26 0x00007fd1ec811fb0 in g_main_context_iterate.isra () from /usr/lib64/libglib-2.0.so.0
---Type <return> to continue, or q <return> to quit---
#27 0x00007fd1ec81205c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#28 0x00007fd1efe9a9cf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#29 0x00007fd1efe4a80a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#30 0x00007fd1efe5232c in QCoreApplication::exec() () from /usr/lib64/libQt5Core.so.5
#31 0x00007fd1deb5d7e2 in kdemain () from /usr/lib64/libkdeinit5_kded5.so
#32 0x00000000004080f4 in launch(int, char const*, char const*, char const*, int, char const*, bool, char const*, bool, char const*) ()
#33 0x00000000004056ec in main ()
Comment 3 Eugene Shalygin 2016-02-20 23:16:56 UTC
The same happens also in another user account  after cleaning its ${HOME}
Comment 4 Eugene Shalygin 2016-02-20 23:51:13 UTC
backtrace from kded5, kglobalaccel compiled with debug information :

#0  0x00007ffff571dfaf in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007ffff5d55f1a in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQt5Core.so.5
#2  0x00007ffff7f6efa4 in QDBusPendingCallPrivate::waitForFinished() () from /usr/lib64/libQt5DBus.so.5
#3  0x00007ffff7f6fbc6 in QDBusPendingReplyData::argumentAt(int) const () from /usr/lib64/libQt5DBus.so.5
#4  0x00007fffe2e07c4d in QDBusPendingReply<QList<int>, void, void, void, void, void, void, void>::argumentAt<0> (this=0x7fffffffc780)
    at /usr/include/qt5/QtDBus/qdbuspendingreply.h:166
#5  QDBusPendingReply<QList<int>, void, void, void, void, void, void, void>::operator QList<int> (this=0x7fffffffc780) at /usr/include/qt5/QtDBus/qdbuspendingreply.h:176
#6  KGlobalAccelPrivate::updateGlobalShortcut (this=0xb4c040, action=action@entry=0x1090630, actionFlags=..., actionFlags@entry=..., 
    globalFlags=globalFlags@entry=KGlobalAccel::Autoloading) at /usr/src/debug/kde-frameworks/kglobalaccel-5.19.0/kglobalaccel-5.19.0/src/kglobalaccel.cpp:311
#7  0x00007fffe2e088f6 in KGlobalAccel::setShortcut (this=0x7fffe301b630 <(anonymous namespace)::Q_QGS_s_instance::innerFunction()::holder>, action=0x1090630, 
    shortcut=..., loadFlag=KGlobalAccel::Autoloading) at /usr/src/debug/kde-frameworks/kglobalaccel-5.19.0/kglobalaccel-5.19.0/src/kglobalaccel.cpp:654
#8  0x00007fffae3a2564 in KHotKeys::ShortcutsHandler::addAction(QString const&, QString const&, KShortcut const&) () from /usr/lib64/libkhotkeysprivate.so.5
#9  0x00007fffae393555 in KHotKeys::ShortcutTrigger::activate(bool) () from /usr/lib64/libkhotkeysprivate.so.5
#10 0x00007fffae392b0f in KHotKeys::ShortcutTrigger::enable() () from /usr/lib64/libkhotkeysprivate.so.5
#11 0x00007fffae38b2d7 in KHotKeys::SimpleActionData::doEnable() () from /usr/lib64/libkhotkeysprivate.so.5
#12 0x00007fffae39eea3 in SettingsReaderV2::readActionData(KConfigGroup const&, KHotKeys::ActionDataGroup*) () from /usr/lib64/libkhotkeysprivate.so.5
#13 0x00007fffae39e6e8 in SettingsReaderV2::readGroup(KConfigGroup const&, KHotKeys::ActionDataGroup*) () from /usr/lib64/libkhotkeysprivate.so.5
#14 0x00007fffae39edee in SettingsReaderV2::readActionData(KConfigGroup const&, KHotKeys::ActionDataGroup*) () from /usr/lib64/libkhotkeysprivate.so.5
#15 0x00007fffae39f197 in SettingsReaderV2::read(KConfigBase const&, KHotKeys::ActionDataGroup*) () from /usr/lib64/libkhotkeysprivate.so.5
#16 0x00007fffae39b939 in KHotKeys::Settings::read_settings(KHotKeys::ActionDataGroup*, KConfigBase const&, bool, KHotKeys::ActionState) ()
   from /usr/lib64/libkhotkeysprivate.so.5
#17 0x00007fffae39c077 in KHotKeys::Settings::reread_settings(bool) () from /usr/lib64/libkhotkeysprivate.so.5
#18 0x00007fffae61d423 in KHotKeysModule::reread_configuration() () from /usr/lib64/qt5/plugins/kf5/kded/khotkeys.so
#19 0x00007fffae61d7ac in KHotKeysModule::initialize() () from /usr/lib64/qt5/plugins/kf5/kded/khotkeys.so
#20 0x00007fffae61e7f5 in KHotKeysModule::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) [clone .part.0] () from /usr/lib64/qt5/plugins/kf5/kded/khotkeys.so
#21 0x00007ffff5f1d401 in QObject::event(QEvent*) () from /usr/lib64/libQt5Core.so.5
#22 0x00007ffff7325aac in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQt5Widgets.so.5
#23 0x00007ffff732acee in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQt5Widgets.so.5
#24 0x00007ffff5ef497a in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /usr/lib64/libQt5Core.so.5
#25 0x00007ffff5ef69ca in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib64/libQt5Core.so.5
#26 0x00007ffff5f43953 in postEventSourceDispatch(_GSource*, int (*)(void*), void*) () from /usr/lib64/libQt5Core.so.5
#27 0x00007ffff2f22d57 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#28 0x00007ffff2f22fb0 in g_main_context_iterate.isra () from /usr/lib64/libglib-2.0.so.0
#29 0x00007ffff2f2305c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#30 0x00007ffff5f439cf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#31 0x00007ffff5ef380a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#32 0x00007ffff5efb32c in QCoreApplication::exec() () from /usr/lib64/libQt5Core.so.5
#33 0x00007ffff7bd37e2 in kdemain () from /usr/lib64/libkdeinit5_kded5.so
#34 0x00007ffff7846660 in __libc_start_main () from /lib64/libc.so.6
#35 0x00000000004007b9 in _start ()
Comment 5 Eugene Shalygin 2016-02-21 00:06:53 UTC
I removed khotkeys package, restarted kded5 and when it stops loading, the backtrace is:

#0  0x00007ffff571dfaf in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007ffff5d55f1a in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQt5Core.so.5
#2  0x00007ffff5d500bb in QSemaphore::acquire(int) () from /usr/lib64/libQt5Core.so.5
#3  0x00007ffff5f1c57f in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib64/libQt5Core.so.5
#4  0x00007ffff7f71cfa in QDBusConnectionPrivate::signalNeedsConnecting(QString const&, QDBusConnectionPrivate::SignalHook const&) () from /usr/lib64/libQt5DBus.so.5
#5  0x00007ffff7f2256c in QDBusConnectionPrivate::connectSignal(QString const&, QString const&, QString const&, QString const&, QStringList const&, QString const&, QObject*, char const*) () from /usr/lib64/libQt5DBus.so.5
#6  0x00007ffff7f23044 in QDBusConnectionPrivate::watchService(QString const&, QFlags<QDBusServiceWatcher::WatchModeFlag>, QObject*, char const*) ()
   from /usr/lib64/libQt5DBus.so.5
#7  0x00007ffff7f702c8 in QDBusServiceWatcherPrivate::setConnection(QStringList const&, QDBusConnection const&, QFlags<QDBusServiceWatcher::WatchModeFlag>) ()
   from /usr/lib64/libQt5DBus.so.5
#8  0x00007ffff7f708ca in QDBusServiceWatcher::QDBusServiceWatcher(QString const&, QDBusConnection const&, QFlags<QDBusServiceWatcher::WatchModeFlag>, QObject*) ()
   from /usr/lib64/libQt5DBus.so.5
#9  0x00007fffae1560e7 in BluezQt::ManagerPrivate::init() () from /usr/lib64/libKF5BluezQt.so.6
#10 0x00007fffae173f86 in BluezQt::InitManagerJobPrivate::doStart() () from /usr/lib64/libKF5BluezQt.so.6
#11 0x00007fffae197636 in BluezQt::Job::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) () from /usr/lib64/libKF5BluezQt.so.6
#12 0x00007ffff5f1d401 in QObject::event(QEvent*) () from /usr/lib64/libQt5Core.so.5
#13 0x00007ffff7325aac in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQt5Widgets.so.5
#14 0x00007ffff732acee in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQt5Widgets.so.5
#15 0x00007ffff5ef497a in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /usr/lib64/libQt5Core.so.5
#16 0x00007ffff5ef69ca in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib64/libQt5Core.so.5
#17 0x00007ffff5f43953 in postEventSourceDispatch(_GSource*, int (*)(void*), void*) () from /usr/lib64/libQt5Core.so.5
#18 0x00007ffff2f22d57 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#19 0x00007ffff2f22fb0 in g_main_context_iterate.isra () from /usr/lib64/libglib-2.0.so.0
#20 0x00007ffff2f2305c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#21 0x00007ffff5f439cf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#22 0x00007ffff5ef380a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#23 0x00007ffff5efb32c in QCoreApplication::exec() () from /usr/lib64/libQt5Core.so.5
#24 0x00007ffff7bd37e2 in kdemain () from /usr/lib64/libkdeinit5_kded5.so
#25 0x00007ffff7846660 in __libc_start_main () from /lib64/libc.so.6
#26 0x00000000004007b9 in _start ()
Comment 6 Eugene Shalygin 2016-02-21 00:20:59 UTC
BTW, it is with Qt from branch "5.6"
Comment 7 David Edmundson 2016-02-21 00:43:42 UTC
Thanks.

so to summarise:
 - plasmashell is doing a blocking call to kded in 
#11 0x00007fff347c7d73 in StatusNotifierItemEngine::registerWatcher(QString const&) [clone .part.9] [clone .constprop.20] ()

 - kded is doing a blocking call to kglobalaccel in 
#7 0x00007fffe2e088f6 in KGlobalAccel::setShortcut (this=0x7fffe301b630 <(anonymous namespace)::Q_QGS_s_instance::innerFunction()::holder>, action=0x1090630, 

so plasma is waiting for kded, kded is waiting for kglobaccel... no idea what kglobalaccel is blocked doing.

That last one is interesting. It's kded making another blocking call this time in bluez code, but is blocked getting a response back from teh dbus server. Especially on the system bus that should never happen.


Just seen the last comment?
Latest 5.6? There was a known issue that was fixed. See thread with David Faure and Thiago on kde-devel.
Comment 8 Eugene Shalygin 2016-02-21 01:48:45 UTC
I'm not a member of kde-devel and the archive is private (why?). Qt was updated just now. And I had the same problem with 5.5.1.
Comment 9 Eugene Shalygin 2016-02-21 15:44:42 UTC
(In reply to Eugene Shalygin from comment #8)
> I'm not a member of kde-devel and the archive is private (why?). 
Ups.. mail.kde.org says that archives are private, while lists.kde.org shows archives. But I did not find any DBUS related there. I found  QTBUG-48436. The test case from it does not reproduce the problem with my Qt installation.

Could you point me where can I try to find the problem, please?
Comment 10 David Edmundson 2016-02-21 15:46:55 UTC
https://www.mail-archive.com/kde-frameworks-devel@kde.org/msg30345.html

in your backtraces can you be sure to include all the threads. (upload as attachments if need be)

We're hitting a lock, so we need to know which other threads are also doing something at the same time.
Comment 11 Eugene Shalygin 2016-02-21 16:15:10 UTC
Ah, kde-FRAMEWORKS-devel... That change is included in my Qt build.
Comment 12 Eugene Shalygin 2016-02-22 15:05:48 UTC
I was wrong: there are no deadlocks in kded with Qt 5.5.1. Will bisecting Qt help?
Comment 13 Hrvoje Senjan 2016-02-23 22:29:06 UTC
Have the same issue with Qt from 5.6.0 branch. From what i see, Thiago's patch is merged in the checkout i have.
Comment 14 Hrvoje Senjan 2016-02-24 16:24:36 UTC
Created attachment 97538 [details]
thread apply all bt on locked up kded5

This is after disabling touchpad and khotkeys kdeds
Comment 15 Hrvoje Senjan 2016-02-24 16:37:33 UTC
Created attachment 97539 [details]
ANother one with libQt5Core debuginfo

and after running
unset XDG_CURRENT_DESKTOP      
export KDE_SESSION_VERSION=5
export KDE_FULL_SESSION=true
kded5 &
in GNOME session.
Comment 16 David Rosca 2016-02-24 16:50:11 UTC
RE last bt: It hangs in call to org.freedesktop.DBus on system bus, which should always return immediately, thus I think it's not "classic" DBus deadlock.

It worked fine with older Qt 5.6 snapshot, so it should be easy to bisect it.
Comment 17 Luca Beltrame 2016-02-24 22:05:57 UTC
As I know David Faure did some work on kded with regards to Qt 5.6, I'll add him to CC, too.
Comment 18 Hrvoje Senjan 2016-02-25 07:26:02 UTC
With commit a1ba281a26d065d2e901b3a947a8517ec5790504 from qtbase reverted && 5e9c9ff09cc88448d41d9043ee156a5be1a9d880 from kded reverted, lock-ups no longer happens. I'm not sure whether both are needed, or just reverting Thiago's change is enough. Can test later.
Comment 19 David Faure 2016-02-27 13:35:32 UTC
The last bt is very informative: 
* the main thread is in a BlockingQueuedConnection signal emission, the signal is signalNeedsConnecting(), and it's handled by the dbus thread.
* the dbus thread is in QDBusConnectionPrivate::handleObjectCall, waiting for the main thread using a semaphore after posting an event.
So this deadlocks, because the main thread will only get to that posted event once it's done with the current call it's doing.

This is unrelated to the messageFilter() stuff I was involved with, in kded. It's a bug in QtDBus in 5.6 AFAICS. I have no idea what the fix would be, because it seems like a severe design issue to me, to use both A waits for B and B waits for A.
Comment 20 David Edmundson 2016-02-29 11:09:33 UTC
Git commit 49440a7ce0623d1bc8aca459eaed35612d384cfd by David Edmundson.
Committed on 29/02/2016 at 11:09.
Pushed by davidedmundson into branch 'master'.

Avoid blocking DBus calls in SNI startup

All autogenerated qtdbus property fetches are synchronous and not ideal
for Plasma to call.

1) Don't bother checking the protocol version.
If the signals are the same, we may as well try and use the old signals,
if it's not - the signals won't match anything anyway so it won't do
anything anyway.

2) Replace the blocking RegisteredStatusNotifierItem request with an
async variant.
REVIEW: 127199

M  +1    -0    dataengines/statusnotifieritem/CMakeLists.txt
M  +20   -8    dataengines/statusnotifieritem/statusnotifieritem_engine.cpp

http://commits.kde.org/plasma-workspace/49440a7ce0623d1bc8aca459eaed35612d384cfd
Comment 21 Eugene Shalygin 2016-03-05 14:35:33 UTC
Confirm that reverting commit a1ba281a26d065d2e901b3a947a8517ec5790504 from qtbase helps.
Comment 22 Alexander Potashev 2016-03-16 22:28:34 UTC
plasmashell-5.5.95 here freezes on startup in PowermanagementEngine::sourceRequestEvent (waiting for dbus call):

=====

Thread 8 (Thread 0x7fe3fde1b700 (LWP 12966)):
#0  0x00007fe40c48daed in poll () from /lib64/libc.so.6
#1  0x00007fe4105d6a92 in _xcb_conn_wait () from /usr/lib64/libxcb.so.1
#2  0x00007fe4105d867f in xcb_wait_for_event () from /usr/lib64/libxcb.so.1
#3  0x00007fe3ff524739 in QXcbEventReader::run() () from /usr/lib64/libQt5XcbQpa.so.5
#4  0x00007fe40cb74430 in QThreadPrivate::start(void*) () from /usr/lib64/libQt5Core.so.5
#5  0x00007fe40bc98314 in start_thread () from /lib64/libpthread.so.0
#6  0x00007fe40c4966dd in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7fe3f7da6700 (LWP 12967)):
#0  0x00007fe40c48daed in poll () from /lib64/libc.so.6
#1  0x00007fe408537f14 in g_main_context_iterate.isra () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fe40853802c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fe40cd74dac in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#4  0x00007fe40cd1f79b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#5  0x00007fe40cb6ea9c in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#6  0x00007fe41203f298 in QDBusConnectionManager::run() () from /usr/lib64/libQt5DBus.so.5
#7  0x00007fe40cb74430 in QThreadPrivate::start(void*) () from /usr/lib64/libQt5Core.so.5
#8  0x00007fe40bc98314 in start_thread () from /lib64/libpthread.so.0
#9  0x00007fe40c4966dd in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7fe3f6568700 (LWP 12968)):
#0  0x00007fe40c48daed in poll () from /lib64/libc.so.6
#1  0x00007fe408537f14 in g_main_context_iterate.isra () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fe40853802c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fe40cd74dac in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#4  0x00007fe40cd1f79b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#5  0x00007fe40cb6ea9c in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#6  0x00007fe40f438f18 in QQmlThreadPrivate::run() () from /usr/lib64/libQt5Qml.so.5
#7  0x00007fe40cb74430 in QThreadPrivate::start(void*) () from /usr/lib64/libQt5Core.so.5
#8  0x00007fe40bc98314 in start_thread () from /lib64/libpthread.so.0
#9  0x00007fe40c4966dd in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7fe3ec96b700 (LWP 12975)):
#0  0x00007fe40c48daed in poll () from /lib64/libc.so.6
#1  0x00007fe408537f14 in g_main_context_iterate.isra () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fe40853802c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fe40cd74dac in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
---Type <return> to continue, or q <return> to quit---
#4  0x00007fe40cd1f79b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#5  0x00007fe40cb6ea9c in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#6  0x00007fe40f438f18 in QQmlThreadPrivate::run() () from /usr/lib64/libQt5Qml.so.5
#7  0x00007fe40cb74430 in QThreadPrivate::start(void*) () from /usr/lib64/libQt5Core.so.5
#8  0x00007fe40bc98314 in start_thread () from /lib64/libpthread.so.0
#9  0x00007fe40c4966dd in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7fe3e2e0b700 (LWP 12979)):
#0  0x00007fe40c48daed in poll () from /lib64/libc.so.6
#1  0x00007fe408537f14 in g_main_context_iterate.isra () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fe40853802c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fe40cd74dac in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#4  0x00007fe40cd1f79b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#5  0x00007fe40cb6ea9c in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#6  0x00007fe40f438f18 in QQmlThreadPrivate::run() () from /usr/lib64/libQt5Qml.so.5
#7  0x00007fe40cb74430 in QThreadPrivate::start(void*) () from /usr/lib64/libQt5Core.so.5
#8  0x00007fe40bc98314 in start_thread () from /lib64/libpthread.so.0
#9  0x00007fe40c4966dd in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7fe35ae13700 (LWP 12980)):
#0  0x00007fe40c48daed in poll () from /lib64/libc.so.6
#1  0x00007fe408537f14 in g_main_context_iterate.isra () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fe40853802c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fe40cd74dcb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#4  0x00007fe40cd1f79b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#5  0x00007fe40cb6ea9c in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#6  0x00007fe40fde4a42 in QQuickPixmapReader::run() () from /usr/lib64/libQt5Quick.so.5
#7  0x00007fe40cb74430 in QThreadPrivate::start(void*) () from /usr/lib64/libQt5Core.so.5
#8  0x00007fe40bc98314 in start_thread () from /lib64/libpthread.so.0
#9  0x00007fe40c4966dd in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7fe34baec700 (LWP 12981)):
#0  0x00007fe40c48daed in poll () from /lib64/libc.so.6
#1  0x00007fe408537f14 in g_main_context_iterate.isra () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fe40853802c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fe40cd74dac in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#4  0x00007fe40cd1f79b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#5  0x00007fe40cb6ea9c in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#6  0x00007fe34c998767 in KCupsConnection::run() () from /usr/lib64/libkcupslib.so
---Type <return> to continue, or q <return> to quit---
#7  0x00007fe40cb74430 in QThreadPrivate::start(void*) () from /usr/lib64/libQt5Core.so.5
#8  0x00007fe40bc98314 in start_thread () from /lib64/libpthread.so.0
#9  0x00007fe40c4966dd in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7fe3ff7ba7c0 (LWP 12965)):
#0  0x00007fe40bc9c64f in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007fe40cb74a97 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQt5Core.so.5
#2  0x00007fe412092ffc in QDBusPendingCallPrivate::waitForFinished() () from /usr/lib64/libQt5DBus.so.5
#3  0x00007fe35909b464 in Solid::PowerManagementPrivate::slotServiceRegistered(QString const&) () from /usr/lib64/libKF5KDELibs4Support.so.5
#4  0x00007fe35909cda1 in Solid::PowerManagementPrivate::PowerManagementPrivate() () from /usr/lib64/libKF5KDELibs4Support.so.5
#5  0x00007fe35909cea0 in Solid::PowerManagement::notifier() () from /usr/lib64/libKF5KDELibs4Support.so.5
#6  0x00007fe34ac42d8a in PowermanagementEngine::sourceRequestEvent(QString const&) () from /usr/lib64/qt5/plugins/plasma/dataengine/plasma_engine_powermanagement.so
#7  0x00007fe41036ad82 in Plasma::DataEnginePrivate::requestSource(QString const&, bool*) () from /usr/lib64/libKF5Plasma.so.5
#8  0x00007fe41036ae58 in Plasma::DataEngine::connectSource(QString const&, QObject*, unsigned int, Plasma::Types::IntervalAlignment) const ()
   from /usr/lib64/libKF5Plasma.so.5
#9  0x00007fe3f52cd175 in Plasma::DataSource::setConnectedSources(QStringList const&) () from /usr/lib64/qt5/qml/org/kde/plasma/core/libcorebindingsplugin.so
#10 0x00007fe3f52e0f15 in Plasma::DataSource::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) ()
   from /usr/lib64/qt5/qml/org/kde/plasma/core/libcorebindingsplugin.so
#11 0x00007fe3f52e246b in Plasma::DataSource::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib64/qt5/qml/org/kde/plasma/core/libcorebindingsplugin.so
#12 0x00007fe40f3b27be in QQmlPropertyPrivate::write(QObject*, QQmlPropertyData const&, QVariant const&, QQmlContextData*, QFlags<QQmlPropertyPrivate::WriteFlag>) ()
   from /usr/lib64/libQt5Qml.so.5
#13 0x00007fe40f3b3311 in QQmlPropertyPrivate::writeValueProperty(QObject*, QQmlPropertyData const&, QVariant const&, QQmlContextData*, QFlags<QQmlPropertyPrivate::WriteFlag>) () from /usr/lib64/libQt5Qml.so.5
#14 0x00007fe40f422e09 in QQmlBinding::write(QQmlPropertyData const&, QV4::Value const&, bool, QFlags<QQmlPropertyPrivate::WriteFlag>) () from /usr/lib64/libQt5Qml.so.5
#15 0x00007fe40f423c86 in QQmlBinding::update(QFlags<QQmlPropertyPrivate::WriteFlag>) () from /usr/lib64/libQt5Qml.so.5
#16 0x00007fe40f42e8dc in QQmlObjectCreator::finalize(QQmlInstantiationInterrupt&) () from /usr/lib64/libQt5Qml.so.5
#17 0x00007fe40f3ba0c3 in QQmlIncubatorPrivate::incubate(QQmlInstantiationInterrupt&) () from /usr/lib64/libQt5Qml.so.5
#18 0x00007fe40f3bac7e in QQmlIncubationController::incubateFor(int) () from /usr/lib64/libQt5Qml.so.5
#19 0x00007fe41011207c in KDeclarative::QmlObjectIncubationController::incubatingObjectCountChanged(int) () from /usr/lib64/libKF5Declarative.so.5
#20 0x00007fe40f3ba92a in QQmlEnginePrivate::incubate(QQmlIncubator&, QQmlContextData*) () from /usr/lib64/libQt5Qml.so.5
#21 0x00007fe40f3b575a in QQmlComponent::create(QQmlIncubator&, QQmlContext*, QQmlContext*) () from /usr/lib64/libQt5Qml.so.5
#22 0x00007fe41010e7f9 in KDeclarative::QmlObject::completeInitialization(QHash<QString, QVariant> const&) () from /usr/lib64/libKF5Declarative.so.5
#23 0x00007fe411ab1d3c in PlasmaQuick::AppletQuickItem::init() () from /usr/lib64/libKF5PlasmaQuick.so.5
#24 0x00007fe3e2e20e4a in AppletInterface::init() () from /usr/lib64/qt5/plugins/plasma/scriptengines/plasma_appletscript_declarative.so
#25 0x00007fe411ab2d58 in PlasmaQuick::AppletQuickItem::itemChange(QQuickItem::ItemChange, QQuickItem::ItemChangeData const&) () from /usr/lib64/libKF5PlasmaQuick.so.5
#26 0x00007fe40fe7f6a5 in QQuickItemPrivate::refWindow(QQuickWindow*) () from /usr/lib64/libQt5Quick.so.5
#27 0x00007fe40fe80b0c in QQuickItem::setParentItem(QQuickItem*) () from /usr/lib64/libQt5Quick.so.5
#28 0x00007fe40fe825cd in QQuickItem::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) () from /usr/lib64/libQt5Quick.so.5
#29 0x00007fe40fe8377b in QQuickItem::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib64/libQt5Quick.so.5
---Type <return> to continue, or q <return> to quit---
#30 0x00007fe411ab2dd5 in PlasmaQuick::AppletQuickItem::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib64/libKF5PlasmaQuick.so.5
#31 0x00007fe3e2e21c15 in AppletInterface::qt_metacall(QMetaObject::Call, int, void**) ()
   from /usr/lib64/qt5/plugins/plasma/scriptengines/plasma_appletscript_declarative.so
#32 0x00007fe40f3b21ed in QQmlPropertyPrivate::write(QObject*, QQmlPropertyData const&, QVariant const&, QQmlContextData*, QFlags<QQmlPropertyPrivate::WriteFlag>) ()
   from /usr/lib64/libQt5Qml.so.5
#33 0x00007fe40f370127 in QV4::QObjectWrapper::setProperty(QV4::ExecutionEngine*, QObject*, QQmlPropertyData*, QV4::Value const&) () from /usr/lib64/libQt5Qml.so.5
#34 0x00007fe40f370593 in QV4::QObjectWrapper::setQmlProperty(QV4::ExecutionEngine*, QQmlContextData*, QObject*, QV4::String*, QV4::QObjectWrapper::RevisionMode, QV4::Value const&) () from /usr/lib64/libQt5Qml.so.5
#35 0x00007fe40f3706fd in QV4::QObjectWrapper::put(QV4::Managed*, QV4::String*, QV4::Value const&) () from /usr/lib64/libQt5Qml.so.5
#36 0x00007fe40f3841e1 in QV4::Runtime::setProperty(QV4::ExecutionEngine*, QV4::Value const&, int, QV4::Value const&) () from /usr/lib64/libQt5Qml.so.5
#37 0x00007fe35806fd78 in ?? ()
#38 0x00000000014f5090 in ?? ()
#39 0x00007fe3e1e0c318 in ?? ()
#40 0x00000000014e4ad0 in ?? ()
#41 0x00007fe3e1e0c368 in ?? ()
#42 0x00000000014e4ad0 in ?? ()
#43 0x00007fe3e1e0c010 in ?? ()
#44 0x0000000000000000 in ?? ()
Comment 23 Martin Kyral 2016-03-17 11:10:19 UTC
I experienced plasmashell hangups on DBUS call too. Now, I can use plasmshell, but I had to disable powerdevil and the battery widget. Backtrace:

(gdb) i th
  Id   Target Id         Frame 
    8    Thread 0x7f1cb5317700 (LWP 2091) "QXcbEventReader" 0x00007f1ccd2a6fdd in poll () at ../sysdeps/unix/syscall-template.S:84
      7    Thread 0x7f1cafb65700 (LWP 2096) "QDBusConnection" 0x00007f1ccd2a6fdd in poll () at ../sysdeps/unix/syscall-template.S:84
        6    Thread 0x7f1cae324700 (LWP 2123) "QQmlThread" 0x00007f1ccd2a6fdd in poll () at ../sysdeps/unix/syscall-template.S:84
          5    Thread 0x7f1ca6359700 (LWP 2168) "QQmlThread" 0x00007f1ccd2a6fdd in poll () at ../sysdeps/unix/syscall-template.S:84
            4    Thread 0x7f1ca498c700 (LWP 2181) "QQmlThread" 0x00007f1ccd2a6fdd in poll () at ../sysdeps/unix/syscall-template.S:84
              3    Thread 0x7f1c9afb9700 (LWP 2259) "plasmashell" pthread_cond_wait@@GLIBC_2.3.2 ()
                  at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
                    2    Thread 0x7f1c13fff700 (LWP 2311) "QQuickPixmapRea" 0x00007f1ccd2a6fdd in poll () at ../sysdeps/unix/syscall-template.S:84
                    * 1    Thread 0x7f1cbea06940 (LWP 2070) "plasmashell" pthread_cond_wait@@GLIBC_2.3.2 ()
                        at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
                        (gdb) t a a bt

                        Thread 8 (Thread 0x7f1cb5317700 (LWP 2091)):
#0  0x00007f1ccd2a6fdd in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007f1cd240c272 in _xcb_conn_wait (__timeout=-1, __nfds=1, __fds=0x7f1cb5316b80) at /usr/include/bits/poll2.h:46
#2  0x00007f1cd240c272 in _xcb_conn_wait (c=c@entry=0x56014cc91ac0, cond=cond@entry=0x56014cc91b00, vector=vector@entry=0x0, count=count@entry=0x0) at xcb_conn.c:459
#3  0x00007f1cd240dee7 in xcb_wait_for_event (c=0x56014cc91ac0) at xcb_in.c:693
#4  0x00007f1cb756a349 in QXcbEventReader::run() (this=0x56014cc9c270) at qxcbconnection.cpp:1313
#5  0x00007f1ccdeb8e18 in QThreadPrivate::start(void*) (arg=0x56014cc9c270) at thread/qthread_unix.cpp:340
#6  0x00007f1ccc5ea60a in start_thread (arg=0x7f1cb5317700) at pthread_create.c:334
#7  0x00007f1ccd2b2a4d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

                            Thread 7 (Thread 0x7f1cafb65700 (LWP 2096)):
#0  0x00007f1ccd2a6fdd in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007f1cc8d7516c in g_main_context_iterate (priority=2147483647, n_fds=3, fds=0x7f1ca8003020, timeout=<optimized out>, context=0x7f1ca8000990) at gmain.c:4135
#2  0x00007f1cc8d7516c in g_main_context_iterate (context=context@entry=0x7f1ca8000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3835
#3  0x00007f1cc8d7527c in g_main_context_iteration (context=0x7f1ca8000990, may_block=may_block@entry=1) at gmain.c:3901
#4  0x00007f1cce0e1d0b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f1ca80008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#5  0x00007f1cce08a6ea in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f1cafb64c50, flags=..., 
            flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007f1ccdeb4004 in QThread::exec() (this=this@entry=0x7f1cce8eb040 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread.cpp:503
#7  0x00007f1cce877445 in QDBusConnectionManager::run() (this=0x7f1cce8eb040 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:181
#8  0x00007f1ccdeb8e18 in QThreadPrivate::start(void*) (arg=0x7f1cce8eb040 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:340
#9  0x00007f1ccc5ea60a in start_thread (arg=0x7f1cafb65700) at pthread_create.c:334
#10 0x00007f1ccd2b2a4d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 6 (Thread 0x7f1cae324700 (LWP 2123)):
#0  0x00007f1ccd2a6fdd in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007f1cc8d7516c in g_main_context_iterate (priority=2147483647, n_fds=1, fds=0x7f1ca0002e70, timeout=<optimized out>, context=0x7f1ca0000990) at gmain.c:4135
#2  0x00007f1cc8d7516c in g_main_context_iterate (context=context@entry=0x7f1ca0000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3835
#3  0x00007f1cc8d7527c in g_main_context_iteration (context=0x7f1ca0000990, may_block=may_block@entry=1) at gmain.c:3901
#4  0x00007f1cce0e1d0b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f1ca00008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#5  0x00007f1cce08a6ea in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f1cae323c60, flags=..., 
            flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007f1ccdeb4004 in QThread::exec() (this=this@entry=0x56014cd73a00) at thread/qthread.cpp:503
#7  0x00007f1cd12a51b5 in QQmlThreadPrivate::run() (this=0x56014cd73a00)
    at /usr/src/debug/qtdeclarative-opensource-src-5.6.0-rc/src/qml/qml/ftw/qqmlthread.cpp:141
#8  0x00007f1ccdeb8e18 in QThreadPrivate::start(void*) (arg=0x56014cd73a00) at thread/qthread_unix.cpp:340
#9  0x00007f1ccc5ea60a in start_thread (arg=0x7f1cae324700) at pthread_create.c:334
#10 0x00007f1ccd2b2a4d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

    Thread 5 (Thread 0x7f1ca6359700 (LWP 2168)):
#0  0x00007f1ccd2a6fdd in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007f1cc8d7516c in g_main_context_iterate (priority=2147483647, n_fds=1, fds=0x7f1c9c003070, timeout=<optimized out>, context---Type <return> to continue, or q <return> to quit--- 
        =0x7f1c9c000990) at gmain.c:4135
#2  0x00007f1cc8d7516c in g_main_context_iterate (context=context@entry=0x7f1c9c000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3835
#3  0x00007f1cc8d7527c in g_main_context_iteration (context=0x7f1c9c000990, may_block=may_block@entry=1) at gmain.c:3901
#4  0x00007f1cce0e1cef in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f1c9c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:417
#5  0x00007f1cce08a6ea in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f1ca6358c60, flags=..., 
            flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007f1ccdeb4004 in QThread::exec() (this=this@entry=0x56014d0bdcc0) at thread/qthread.cpp:503
#7  0x00007f1cd12a51b5 in QQmlThreadPrivate::run() (this=0x56014d0bdcc0)
    at /usr/src/debug/qtdeclarative-opensource-src-5.6.0-rc/src/qml/qml/ftw/qqmlthread.cpp:141
#8  0x00007f1ccdeb8e18 in QThreadPrivate::start(void*) (arg=0x56014d0bdcc0) at thread/qthread_unix.cpp:340
#9  0x00007f1ccc5ea60a in start_thread (arg=0x7f1ca6359700) at pthread_create.c:334
#10 0x00007f1ccd2b2a4d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

    Thread 4 (Thread 0x7f1ca498c700 (LWP 2181)):
#0  0x00007f1ccd2a6fdd in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007f1cc8d7516c in g_main_context_iterate (priority=2147483647, n_fds=1, fds=0x7f1c94003070, timeout=<optimized out>, context=0x7f1c94000990) at gmain.c:4135
#2  0x00007f1cc8d7516c in g_main_context_iterate (context=context@entry=0x7f1c94000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3835
#3  0x00007f1cc8d7527c in g_main_context_iteration (context=0x7f1c94000990, may_block=may_block@entry=1) at gmain.c:3901
#4  0x00007f1cce0e1cef in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f1c940008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:417
#5  0x00007f1cce08a6ea in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f1ca498bc60, flags=..., 
            flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007f1ccdeb4004 in QThread::exec() (this=this@entry=0x56014d228c70) at thread/qthread.cpp:503
#7  0x00007f1cd12a51b5 in QQmlThreadPrivate::run() (this=0x56014d228c70)
    at /usr/src/debug/qtdeclarative-opensource-src-5.6.0-rc/src/qml/qml/ftw/qqmlthread.cpp:141
#8  0x00007f1ccdeb8e18 in QThreadPrivate::start(void*) (arg=0x56014d228c70) at thread/qthread_unix.cpp:340
#9  0x00007f1ccc5ea60a in start_thread (arg=0x7f1ca498c700) at pthread_create.c:334
#10 0x00007f1ccd2b2a4d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

    Thread 3 (Thread 0x7f1c9afb9700 (LWP 2259)):
#0  0x00007f1ccc5efb10 in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f1cd3d122d4 in QTWTF::TCMalloc_PageHeap::scavengerThread() (this=0x7f1cd3dfb380 <QTWTF::pageheap_memory>)
            at /usr/src/debug/qtscript-opensource-src-5.6.0-rc/src/3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#2  0x00007f1cd3d12319 in QTWTF::TCMalloc_PageHeap::runScavengerThread(void*) (context=<optimized out>)
                at /usr/src/debug/qtscript-opensource-src-5.6.0-rc/src/3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#3  0x00007f1ccc5ea60a in start_thread (arg=0x7f1c9afb9700) at pthread_create.c:334
#4  0x00007f1ccd2b2a4d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

                Thread 2 (Thread 0x7f1c13fff700 (LWP 2311)):
#0  0x00007f1ccd2a6fdd in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007f1cc8d7516c in g_main_context_iterate (priority=2147483647, n_fds=1, fds=0x7f1c0c002f20, timeout=<optimized out>, context=0x7f1c0c000990) at gmain.c:4135
#2  0x00007f1cc8d7516c in g_main_context_iterate (context=context@entry=0x7f1c0c000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3835
#3  0x00007f1cc8d7527c in g_main_context_iteration (context=0x7f1c0c000990, may_block=may_block@entry=1) at gmain.c:3901
#4  0x00007f1cce0e1cef in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f1c0c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:417
#5  0x00007f1cce08a6ea in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f1c13ffec10, flags=..., 
            flags@entry=...) at kernel/qeventloop.cpp:204
---Type <return> to continue, or q <return> to quit---
#6  0x00007f1ccdeb4004 in QThread::exec() (this=this@entry=0x56014d5843e0) at thread/qthread.cpp:503
#7  0x00007f1cd1c3ed86 in QQuickPixmapReader::run() (this=0x56014d5843e0)
    at /usr/src/debug/qtdeclarative-opensource-src-5.6.0-rc/src/quick/util/qquickpixmapcache.cpp:818
#8  0x00007f1ccdeb8e18 in QThreadPrivate::start(void*) (arg=0x56014d5843e0) at thread/qthread_unix.cpp:340
#9  0x00007f1ccc5ea60a in start_thread (arg=0x7f1c13fff700) at pthread_create.c:334
#10 0x00007f1ccd2b2a4d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

    Thread 1 (Thread 0x7f1cbea06940 (LWP 2070)):
#0  0x00007f1ccc5efb10 in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f1ccdeb9ccb in QWaitCondition::wait(QMutex*, unsigned long) (time=18446744073709551615, this=0x5601502d2c80)
            at thread/qwaitcondition_unix.cpp:136
#2  0x00007f1ccdeb9ccb in QWaitCondition::wait(QMutex*, unsigned long) (this=this@entry=0x5601502d2a90, mutex=mutex@entry=0x5601502d2a88, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#3  0x00007f1cce8ce184 in QDBusPendingCallPrivate::waitForFinished() (this=0x5601502d2a50) at qdbuspendingcall.cpp:234
#4  0x00007f1cce8cedb6 in QDBusPendingReplyData::argumentAt(int) const (this=this@entry=0x7fffd6c34bd0, index=index@entry=0)
                at qdbuspendingreply.cpp:276
#5  0x00007f1c11326a56 in Solid::PowerManagement::appShouldConserveResources() (this=0x7fffd6c34bd0)
                    at /usr/include/qt5/QtDBus/qdbuspendingreply.h:166
#6  0x00007f1c11326a56 in Solid::PowerManagement::appShouldConserveResources() (this=0x7fffd6c34bd0)
                        at /usr/include/qt5/QtDBus/qdbuspendingreply.h:176
#7  0x00007f1c11326a56 in Solid::PowerManagement::appShouldConserveResources() ()
                            at /usr/src/debug/kdelibs4support-5.19.0/src/solid/powermanagement.cpp:78
#8  0x00007f1c050c11dd in PowermanagementEngine::sourceRequestEvent(QString const&) ()
                                at /usr/lib64/qt5/plugins/plasma/dataengine/plasma_engine_powermanagement.so
#9  0x00007f1cd21968f9 in Plasma::DataEngine::connectSource(QString const&, QObject*, unsigned int, Plasma::Types::IntervalAlignment) const (newSource=<synthetic pointer>, sourceName=..., this=0x56014faf3f50)
                                    at /usr/src/debug/plasma-framework-5.19.0/src/plasma/dataengine.cpp:594
#10 0x00007f1cd21968f9 in Plasma::DataEngine::connectSource(QString const&, QObject*, unsigned int, Plasma::Types::IntervalAlignment) const (this=0x56014faf3e90, source=..., visualization=visualization@entry=0x5601502c4c10, pollingInterval=0, intervalAlignment=Plasma::Types::NoAlignment) at /usr/src/debug/plasma-framework-5.19.0/src/plasma/dataengine.cpp:113
#11 0x00007f1cad0f5455 in Plasma::DataSource::setConnectedSources(QStringList const&) (this=0x5601502c4c10, sources=...)
                                        at /usr/src/debug/plasma-framework-5.19.0/src/declarativeimports/core/datasource.cpp:59
#12 0x00007f1cad10c35b in Plasma::DataSource::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) (_o=_o@entry=0x5601502c4c10, _c=_c@entry=QMetaObject::WriteProperty, _id=_id@entry=5, _a=_a@entry=0x7fffd6c350c0)
                                            at /usr/src/debug/plasma-framework-5.19.0/x86_64-redhat-linux-gnu/src/declarativeimports/core/moc_datasource.cpp:319
#13 0x00007f1cad10dcdb in Plasma::DataSource::qt_metacall(QMetaObject::Call, int, void**) (this=0x5601502c4c10, _c=QMetaObject::WriteProperty, _id=5, _a=0x7fffd6c350c0)
                                                at /usr/src/debug/plasma-framework-5.19.0/x86_64-redhat-linux-gnu/src/declarativeimports/core/moc_datasource.cpp:374
#14 0x00007f1cd12247ea in QQmlPropertyPrivate::write(QObject*, QQmlPropertyData const&, QVariant const&, QQmlContextData*, QFlags<QQmlPropertyPrivate::WriteFlag>) (object=object@entry=0x5601502c4c10, property=..., value=..., context=context@entry=0x5601502af470, flags=...) at /usr/src/debug/qtdeclarative-opensource-src-5.6.0-rc/src/qml/qml/qqmlproperty.cpp:1252
#15 0x00007f1cd1226343 in QQmlPropertyPrivate::writeValueProperty(QObject*, QQmlPropertyData const&, QVariant const&, QQmlContextData*, QFlags<QQmlPropertyPrivate::WriteFlag>) (object=0x5601502c4c10, core=..., value=..., context=0x5601502af470, flags=...)
                                                    at /usr/src/debug/qtdeclarative-opensource-src-5.6.0-rc/src/qml/qml/qqmlproperty.cpp:1176
#16 0x00007f1cd1290f2e in QQmlBinding::write(QQmlPropertyData const&, QV4::Value const&, bool, QFlags<QQmlPropertyPrivate::WriteFlag>) (this=this@entry=0x5601502c4180, core=..., result=..., isUndefined=<optimized out>, flags=...)
                                                        at /usr/src/debug/qtdeclarative-opensource-src-5.6.0-rc/src/qml/qml/qqmlbinding.cpp:327
#17 0x00007f1cd1291f8a in QQmlBinding::update(QFlags<QQmlPropertyPrivate::WriteFlag>) (this=0x5601502c4180, flags=...)
                                                            at /usr/src/debug/qtdeclarative-opensource-src-5.6.0-rc/src/qml/qml/qqmlbinding.cpp:191
#18 0x00007f1cd129b2b4 in QQmlObjectCreator::finalize(QQmlInstantiationInterrupt&) (this=0x5601502aa7d0, interrupt=...)
                                                                at /usr/src/debug/qtdeclarative-opensource-src-5.6.0-rc/src/qml/qml/qqmlobjectcreator.cpp:1191
#19 0x00007f1cd122bbd2 in QQmlIncubatorPrivate::incubate(QQmlInstantiationInterrupt&) (this=0x56014fac9780, i=...)
                                                                    at /usr/src/debug/qtdeclarative-opensource-src-5.6.0-rc/src/qml/qml/qqmlincubator.cpp:348
                                                                    ---Type <return> to continue, or q <return> to quit---
#20 0x00007f1cd122c804 in QQmlIncubationController::incubateFor(int) (this=this@entry=0x56014d328030, msecs=<optimized out>)
                                                                        at /usr/src/debug/qtdeclarative-opensource-src-5.6.0-rc/src/qml/qml/qqmlincubator.cpp:395
#21 0x00007f1cd1f3585c in KDeclarative::QmlObjectIncubationController::incubatingObjectCountChanged(int) (this=0x56014d328020)
                                                                            at /usr/src/debug/kdeclarative-5.19.0/src/kdeclarative/private/qmlobject_p.h:63
#22 0x00007f1cd1f3585c in KDeclarative::QmlObjectIncubationController::incubatingObjectCountChanged(int) (this=0x56014d328020, count=2) at /usr/src/debug/kdeclarative-5.19.0/src/kdeclarative/private/qmlobject_p.h:79
#23 0x00007f1cd122c612 in QQmlEnginePrivate::incubate(QQmlIncubator&, QQmlContextData*) (this=this@entry=
            0x56014d22c5f0, i=..., forContext=forContext@entry=0x56014fac26a0)
    at /usr/src/debug/qtdeclarative-opensource-src-5.6.0-rc/src/qml/qml/qqmlincubator.cpp:97
#24 0x00007f1cd1227db8 in QQmlComponent::create(QQmlIncubator&, QQmlContext*, QQmlContext*) (this=<optimized out>, incubator=..., context=<optimized out>, forContext=forContext@entry=0x0)
        at /usr/src/debug/qtdeclarative-opensource-src-5.6.0-rc/src/qml/qml/qqmlcomponent.cpp:1052
#25 0x00007f1cd1f31cdb in KDeclarative::QmlObject::completeInitialization(QHash<QString, QVariant> const&) (this=0x56014d0afab0, initialProperties=...) at /usr/src/debug/kdeclarative-5.19.0/src/kdeclarative/qmlobject.cpp:323
#26 0x00007f1cd3e3f747 in PlasmaQuick::AppletQuickItem::init() (this=this@entry=0x56014cd663e0)
            at /usr/src/debug/plasma-framework-5.19.0/src/plasmaquick/appletquickitem.cpp:544
#27 0x00007f1ca49a2f84 in AppletInterface::init() (this=0x56014cd663e0)
                at /usr/src/debug/plasma-framework-5.19.0/src/scriptengines/qml/plasmoid/appletinterface.cpp:170
#28 0x00007f1cd3e40a68 in PlasmaQuick::AppletQuickItem::itemChange(QQuickItem::ItemChange, QQuickItem::ItemChangeData const&) (this=0x56014cd663e0, change=QQuickItem::ItemSceneChange, value=...)
                    at /usr/src/debug/plasma-framework-5.19.0/src/plasmaquick/appletquickitem.cpp:756
#29 0x00007f1cd1ccb9fe in QQuickItemPrivate::refWindow(QQuickWindow*) (this=this@entry=0x56014fad1e50, c=c@entry=0x56014d3e2310)
                        at /usr/src/debug/qtdeclarative-opensource-src-5.6.0-rc/src/quick/items/qquickitem.cpp:2958
#30 0x00007f1cd1cce104 in QQuickItem::setParentItem(QQuickItem*) (this=0x56014cd663e0, parentItem=0x56014fdb0720)
                            at /usr/src/debug/qtdeclarative-opensource-src-5.6.0-rc/src/quick/items/qquickitem.cpp:2679
#31 0x00007f1cd1cd0c71 in QQuickItem::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) (_o=_o@entry=0x56014cd663e0, _c=_c@entry=QMetaObject::WriteProperty, _id=_id@entry=0, _a=_a@entry=0x7fffd6c35e70) at .moc/moc_qquickitem.cpp:896
#32 0x00007f1cd1cd128b in QQuickItem::qt_metacall(QMetaObject::Call, int, void**) (this=this@entry=0x56014cd663e0, _c=_c@entry=QMetaObject::WriteProperty, _id=0, _a=_a@entry=0x7fffd6c35e70) at .moc/moc_qquickitem.cpp:972
#33 0x00007f1cd3e40ae5 in PlasmaQuick::AppletQuickItem::qt_metacall(QMetaObject::Call, int, void**) (this=this@entry=0x56014cd663e0, _c=_c@entry=QMetaObject::WriteProperty, _id=<optimized out>, _a=_a@entry=0x7fffd6c35e70)
                                at /usr/src/debug/plasma-framework-5.19.0/x86_64-redhat-linux-gnu/src/plasmaquick/moc_appletquickitem.cpp:332
#34 0x00007f1ca49a3f25 in AppletInterface::qt_metacall(QMetaObject::Call, int, void**) (this=0x56014cd663e0, _c=QMetaObject::WriteProperty, _id=<optimized out>, _a=0x7fffd6c35e70)
                                    at /usr/src/debug/plasma-framework-5.19.0/x86_64-redhat-linux-gnu/src/scriptengines/qml/moc_appletinterface.cpp:593
#35 0x00007f1cd12247ea in QQmlPropertyPrivate::write(QObject*, QQmlPropertyData const&, QVariant const&, QQmlContextData*, QFlags<QQmlPropertyPrivate::WriteFlag>) (object=object@entry=0x56014cd663e0, property=..., value=..., context=0x5601502a09a0, flags=...)
                                        at /usr/src/debug/qtdeclarative-opensource-src-5.6.0-rc/src/qml/qml/qqmlproperty.cpp:1252
#36 0x00007f1cd11eaaf6 in QV4::QObjectWrapper::setProperty(QV4::ExecutionEngine*, QObject*, QQmlPropertyData*, QV4::Value const&) (engine=engine@entry=0x56014d22c9e0, object=object@entry=0x56014cd663e0, property=0x7f1c9401af88, value=...)
                                            at /usr/src/debug/qtdeclarative-opensource-src-5.6.0-rc/src/qml/jsruntime/qv4qobjectwrapper.cpp:538
#37 0x00007f1cd11eb516 in QV4::QObjectWrapper::setQmlProperty(QV4::ExecutionEngine*, QQmlContextData*, QObject*, QV4::String*, QV4::QObjectWrapper::RevisionMode, QV4::Value const&) (engine=0x56014d22c9e0, qmlContext=0x5601502a09a0, object=0x56014cd663e0, name=0x7f1c9b8013e0, revisionMode=QV4::QObjectWrapper::IgnoreRevision, value=...)
                                                at /usr/src/debug/qtdeclarative-opensource-src-5.6.0-rc/src/qml/jsruntime/qv4qobjectwrapper.cpp:425
#38 0x00007f1cd11eb642 in QV4::QObjectWrapper::put(QV4::Managed*, QV4::String*, QV4::Value const&) (m=0x7f1c9b8013e8, name=0x7f1c9b8013e0, value=...) at /usr/src/debug/qtdeclarative-opensource-src-5.6.0-rc/src/qml/jsruntime/qv4qobjectwrapper.cpp:695
#39 0x00007f1cd11fbd86 in QV4::Runtime::setProperty(QV4::ExecutionEngine*, QV4::Value const&, int, QV4::Value const&) (v=..., name=<optimized out>, this=<optimized out>) at /usr/src/debug/qtdeclarative-opensource-src-5.6.0-rc/src/qml/jsruntime/qv4object_p.h:302
#40 0x00007f1cd11fbd86 in QV4::Runtime::setProperty(QV4::ExecutionEngine*, QV4::Value const&, int, QV4::Value const&) (engine=0x56014d22c9e0, object=..., nameIndex=<optimized out>, value=...)
                                                    at /usr/src/debug/qtdeclarative-opensource-src-5.6.0-rc/src/qml/jsruntime/qv4runtime.cpp:571
#41 0x00007f1c98041d78 in  ()
                                                    ---Type <return> to continue, or q <return> to quit---
#42 0x0000000000000000 in  ()
                                                    (gdb)
Comment 24 David Edmundson 2016-03-17 11:31:31 UTC
There is a patch for Qt. See email on KDE packagers ml.

If you use a distro without that patch, your distro sucks and you should change.
Comment 25 Martin Kyral 2016-03-17 12:42:29 UTC
(In reply to David Edmundson from comment #24)
> There is a patch for Qt. See email on KDE packagers ml.
> 
> If you use a distro without that patch, your distro sucks and you should
> change.

Thanks, I updated qt to the patched version and it works (with powerdevil enabled, of course).
Comment 26 Eugene Shalygin 2016-03-19 16:52:28 UTC
I've applied three patches to Qt 5.6.0 (QTBUG-51648, QTBUG-51649, QTBUG-51676). Yet the problem is not completely solved. Plasmashell binary starts without delays, but each first interaction with either Plasma systray element or krunner results in long hang (tens of seconds), and during the hang not even mouse cursor can be moved.  Additionally, systray does not contain all applets. For example, the keyboard layout applet is absent.
Comment 27 Eugene Shalygin 2016-03-21 01:21:08 UTC
Even worse: if the systray is not touched for a few minutes, and then I try to interact with any systray element except of palsma-nm, it hangs my desktop completely.

P.S. How it is possible that Qt DBus module QA does not have a Plasma environment for testing?! Is there a more important use case for this module?
Comment 28 Eugene Shalygin 2016-03-21 04:56:39 UTC
After each of these hangs X server eats a lot of memory. There were about ten of them on my system after the last reboot, and now X server  takes 48.5 GiB VIRT and 28.9 GiB RES. This is with the "fix" from QTBUG-51676.
Comment 29 Eugene Shalygin 2016-03-21 14:01:37 UTC
Caught the first hang after an X restart, and X ate 16 GiB of memory.
Comment 30 Rex Dieter 2016-03-21 14:08:04 UTC
If any of you experiencing recent freezing are using xorg-x11-server-1.18.2 , it's a bug/regression there (not qt or plasma related), see also:
http://bugs.freedesktop.org/show_bug.cgi?id=94515
Comment 31 Eugene Shalygin 2016-03-21 15:54:35 UTC
Thank you, Rex! After applying the patch from https://projects.archlinux.org/svntogit/packages.git/commit/trunk?h=packages/xorg-server&id=bb37fae55e67f14bc491ca6bcccde3907f73b21c the whole UI does not freeze any more, but just Plasma.
Comment 32 David Edmundson 2016-03-21 15:59:22 UTC
If anyone still has lockups *with the patches applied*
please attach new backtraces of the frozen processes.
Comment 33 Eugene Shalygin 2016-03-21 17:15:13 UTC
Device Notifier, click on a "Open with file manager"
(gdb) thread apply all bt 

Thread 9 (Thread 0x7f9f6251b700 (LWP 31685)):
#0  0x00007f9f71f71d3d in poll () from /lib64/libc.so.6
#1  0x00007f9f75f81ac2 in _xcb_conn_wait () from /usr/lib64/libxcb.so.1
#2  0x00007f9f75f83747 in xcb_wait_for_event () from /usr/lib64/libxcb.so.1
#3  0x00007f9f63c28239 in QXcbEventReader::run() () from /usr/lib64/libQt5XcbQpa.so.5
#4  0x00007f9f7265a9ec in QThreadPrivate::start(void*) () from /usr/lib64/libQt5Core.so.5
#5  0x00007f9f71784424 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f9f71f7adbd in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7f9f59796700 (LWP 31687)):
#0  0x00007f9f71f71d3d in poll () from /lib64/libc.so.6
#1  0x00007f9f6daf4f4c in g_main_context_iterate.isra () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f9f6daf505c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f9f72847f0b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#4  0x00007f9f727f7d1a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#5  0x00007f9f72656544 in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#6  0x00007f9f778e9395 in QDBusConnectionManager::run() () from /usr/lib64/libQt5DBus.so.5
#7  0x00007f9f7265a9ec in QThreadPrivate::start(void*) () from /usr/lib64/libQt5Core.so.5
#8  0x00007f9f71784424 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f9f71f7adbd in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7f9f53dfa700 (LWP 31688)):
#0  0x00007f9f71f71d3d in poll () from /lib64/libc.so.6
#1  0x00007f9f6daf4f4c in g_main_context_iterate.isra () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f9f6daf505c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f9f72847eef in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#4  0x00007f9f727f7d1a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#5  0x00007f9f72656544 in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#6  0x00007f9f74e36d45 in QQmlThreadPrivate::run() () from /usr/lib64/libQt5Qml.so.5
#7  0x00007f9f7265a9ec in QThreadPrivate::start(void*) () from /usr/lib64/libQt5Core.so.5
#8  0x00007f9f71784424 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f9f71f7adbd in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7f9f4afe6700 (LWP 31689)):
#0  0x00007f9f71f71d3d in poll () from /lib64/libc.so.6
#1  0x00007f9f6daf4f4c in g_main_context_iterate.isra () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f9f6daf505c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f9f72847eef in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#4  0x00007f9f727f7d1a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#5  0x00007f9f72656544 in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#6  0x00007f9f74e36d45 in QQmlThreadPrivate::run() () from /usr/lib64/libQt5Qml.so.5
#7  0x00007f9f7265a9ec in QThreadPrivate::start(void*) () from /usr/lib64/libQt5Core.so.5
#8  0x00007f9f71784424 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f9f71f7adbd in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7f9f48fac700 (LWP 31690)):
#0  0x00007f9f71f71d3d in poll () from /lib64/libc.so.6
#1  0x00007f9f6daf4f4c in g_main_context_iterate.isra () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f9f6daf505c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f9f72847eef in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#4  0x00007f9f727f7d1a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#5  0x00007f9f72656544 in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#6  0x00007f9f74e36d45 in QQmlThreadPrivate::run() () from /usr/lib64/libQt5Qml.so.5
#7  0x00007f9f7265a9ec in QThreadPrivate::start(void*) () from /usr/lib64/libQt5Core.so.5
#8  0x00007f9f71784424 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f9f71f7adbd in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7f9f431d8700 (LWP 31691)):
#0  0x00007f9f71789faf in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007f9f77249464 in QTWTF::TCMalloc_PageHeap::scavengerThread() () from /usr/lib64/libQt5Script.so.5
#2  0x00007f9f772494a9 in QTWTF::TCMalloc_PageHeap::runScavengerThread(void*) () from /usr/lib64/libQt5Script.so.5
#3  0x00007f9f71784424 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f9f71f7adbd in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7f9ebbfff700 (LWP 31693)):
#0  0x00007f9f71f71d3d in poll () from /lib64/libc.so.6
#1  0x00007f9f6daf4f4c in g_main_context_iterate.isra () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f9f6daf505c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f9f72847f0b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#4  0x00007f9f727f7d1a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#5  0x00007f9f72656544 in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#6  0x00007f9f757bd956 in QQuickPixmapReader::run() () from /usr/lib64/libQt5Quick.so.5
#7  0x00007f9f7265a9ec in QThreadPrivate::start(void*) () from /usr/lib64/libQt5Core.so.5
#8  0x00007f9f71784424 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f9f71f7adbd in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7f9eab950700 (LWP 31698)):
#0  0x00007f9f71f71d3d in poll () from /lib64/libc.so.6
#1  0x00007f9f6daf4f4c in g_main_context_iterate.isra () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f9f6daf505c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f9f72847eef in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#4  0x00007f9f727f7d1a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#5  0x00007f9f72656544 in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#6  0x00007f9eace9c0a7 in KCupsConnection::run() () from /usr/lib64/libkcupslib.so
#7  0x00007f9f7265a9ec in QThreadPrivate::start(void*) () from /usr/lib64/libQt5Core.so.5
#8  0x00007f9f71784424 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f9f71f7adbd in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7f9f643ee840 (LWP 31684)):
#0  0x00007f9f71789faf in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007f9f7265b05a in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQt5Core.so.5
#2  0x00007f9f77940064 in QDBusPendingCallPrivate::waitForFinished() () from /usr/lib64/libQt5DBus.so.5
#3  0x00007f9f778fc121 in QDBusConnectionPrivate::sendWithReply(QDBusMessage const&, int, int) () from /usr/lib64/libQt5DBus.so.5
#4  0x00007f9f778e9e7b in QDBusConnection::call(QDBusMessage const&, QDBus::CallMode, int) const () from /usr/lib64/libQt5DBus.so.5
#5  0x00007f9f77906af2 in QDBusAbstractInterface::callWithArgumentList(QDBus::CallMode, QString const&, QList<QVariant> const&) () from /usr/lib64/libQt5DBus.so.5
#6  0x00007f9f77907396 in QDBusAbstractInterface::call(QDBus::CallMode, QString const&, QVariant const&, QVariant const&, QVariant const&, QVariant const&, QVariant const&, QVariant const&, QVariant const&, QVariant const&) () from /usr/lib64/libQt5DBus.so.5
#7  0x00007f9f779075a1 in QDBusAbstractInterface::call(QString const&, QVariant const&, QVariant const&, QVariant const&, QVariant const&, QVariant const&, QVariant const&, QVariant const&, QVariant const&) () from /usr/lib64/libQt5DBus.so.5
#8  0x00007f9eaeca6fb7 in HotplugJob::start() () from /usr/lib64/qt5/plugins/plasma/dataengine/plasma_engine_hotplug.so
#9  0x00007f9f75d168f9 in Plasma::ServiceJob::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) () from /usr/lib64/libKF5Plasma.so.5
#10 0x00007f9f72821921 in QObject::event(QEvent*) () from /usr/lib64/libQt5Core.so.5
#11 0x00007f9f7307ba8c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQt5Widgets.so.5
---Type <return> to continue, or q <return> to quit---
#12 0x00007f9f73080cce in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQt5Widgets.so.5
#13 0x00007f9f727f8e8a in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /usr/lib64/libQt5Core.so.5
#14 0x00007f9f727faeda in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib64/libQt5Core.so.5
#15 0x00007f9f72847e73 in postEventSourceDispatch(_GSource*, int (*)(void*), void*) () from /usr/lib64/libQt5Core.so.5
#16 0x00007f9f6daf4d57 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#17 0x00007f9f6daf4fb0 in g_main_context_iterate.isra () from /usr/lib64/libglib-2.0.so.0
#18 0x00007f9f6daf505c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#19 0x00007f9f72847eef in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#20 0x00007f9f727f7d1a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#21 0x00007f9f727ff83c in QCoreApplication::exec() () from /usr/lib64/libQt5Core.so.5
#22 0x000000000041c165 in main ()

kded:
Thread 4 "gdbus" received signal SIGSTOP, Stopped (signal).
[Switching to Thread 0x7f7e3ed86700 (LWP 31719)]
0x00007f7e923b5d3d in poll () from target:/lib64/libc.so.6
(gdb) thread apply all bt

Thread 8 (Thread 0x7f7e85e1e700 (LWP 31701)):
#0  0x00007f7e923b5d3d in poll () from target:/lib64/libc.so.6
#1  0x00007f7e8d2c8ac2 in _xcb_conn_wait () from target:/usr/lib64/libxcb.so.1
#2  0x00007f7e8d2ca747 in xcb_wait_for_event () from target:/usr/lib64/libxcb.so.1
#3  0x00007f7e8794d239 in QXcbEventReader::run() () from target:/usr/lib64/libQt5XcbQpa.so.5
#4  0x00007f7e908039ec in QThreadPrivate::start(void*) () from target:/usr/lib64/libQt5Core.so.5
#5  0x00007f7e901c6424 in start_thread () from target:/lib64/libpthread.so.0
#6  0x00007f7e923bedbd in clone () from target:/lib64/libc.so.6

Thread 7 (Thread 0x7f7e76801700 (LWP 31702)):
#0  0x00007f7e923b5d3d in poll () from target:/lib64/libc.so.6
#1  0x00007f7e8d9c0f4c in g_main_context_iterate.isra () from target:/usr/lib64/libglib-2.0.so.0
#2  0x00007f7e8d9c105c in g_main_context_iteration () from target:/usr/lib64/libglib-2.0.so.0
#3  0x00007f7e909f0f0b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from target:/usr/lib64/libQt5Core.so.5
#4  0x00007f7e909a0d1a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from target:/usr/lib64/libQt5Core.so.5
#5  0x00007f7e907ff544 in QThread::exec() () from target:/usr/lib64/libQt5Core.so.5
#6  0x00007f7e929c8395 in QDBusConnectionManager::run() () from target:/usr/lib64/libQt5DBus.so.5
#7  0x00007f7e908039ec in QThreadPrivate::start(void*) () from target:/usr/lib64/libQt5Core.so.5
#8  0x00007f7e901c6424 in start_thread () from target:/lib64/libpthread.so.0
#9  0x00007f7e923bedbd in clone () from target:/lib64/libc.so.6

Thread 6 (Thread 0x7f7e6fb59700 (LWP 31704)):
#0  0x00007f7e923b5d3d in poll () from target:/lib64/libc.so.6
#1  0x00007f7e8d9c0f4c in g_main_context_iterate.isra () from target:/usr/lib64/libglib-2.0.so.0
#2  0x00007f7e8d9c105c in g_main_context_iteration () from target:/usr/lib64/libglib-2.0.so.0
#3  0x00007f7e909f0eef in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from target:/usr/lib64/libQt5Core.so.5
#4  0x00007f7e909a0d1a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from target:/usr/lib64/libQt5Core.so.5
#5  0x00007f7e907ff544 in QThread::exec() () from target:/usr/lib64/libQt5Core.so.5
#6  0x00007f7e908039ec in QThreadPrivate::start(void*) () from target:/usr/lib64/libQt5Core.so.5
#7  0x00007f7e901c6424 in start_thread () from target:/lib64/libpthread.so.0
#8  0x00007f7e923bedbd in clone () from target:/lib64/libc.so.6

Thread 5 (Thread 0x7f7e3f587700 (LWP 31718)):
#0  0x00007f7e923b5d3d in poll () from target:/lib64/libc.so.6
#1  0x00007f7e8d9c0f4c in g_main_context_iterate.isra () from target:/usr/lib64/libglib-2.0.so.0
#2  0x00007f7e8d9c105c in g_main_context_iteration () from target:/usr/lib64/libglib-2.0.so.0
#3  0x00007f7e8d9c1099 in glib_worker_main () from target:/usr/lib64/libglib-2.0.so.0
#4  0x00007f7e8d9e75f5 in g_thread_proxy () from target:/usr/lib64/libglib-2.0.so.0
#5  0x00007f7e901c6424 in start_thread () from target:/lib64/libpthread.so.0
#6  0x00007f7e923bedbd in clone () from target:/lib64/libc.so.6

Thread 4 (Thread 0x7f7e3ed86700 (LWP 31719)):
#0  0x00007f7e923b5d3d in poll () from target:/lib64/libc.so.6
#1  0x00007f7e8d9c0f4c in g_main_context_iterate.isra () from target:/usr/lib64/libglib-2.0.so.0
#2  0x00007f7e8d9c12d2 in g_main_loop_run () from target:/usr/lib64/libglib-2.0.so.0
#3  0x00007f7e5c3f34d6 in gdbus_shared_thread_func () from target:/usr/lib64/libgio-2.0.so.0
#4  0x00007f7e8d9e75f5 in g_thread_proxy () from target:/usr/lib64/libglib-2.0.so.0
#5  0x00007f7e901c6424 in start_thread () from target:/lib64/libpthread.so.0
#6  0x00007f7e923bedbd in clone () from target:/lib64/libc.so.6

Thread 3 (Thread 0x7f7e3755b700 (LWP 31721)):
---Type <return> to continue, or q <return> to quit---
#0  0x00007f7e923b5d3d in poll () from target:/lib64/libc.so.6
#1  0x00007f7e8d9c0f4c in g_main_context_iterate.isra () from target:/usr/lib64/libglib-2.0.so.0
#2  0x00007f7e8d9c105c in g_main_context_iteration () from target:/usr/lib64/libglib-2.0.so.0
#3  0x00007f7e909f0f0b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from target:/usr/lib64/libQt5Core.so.5
#4  0x00007f7e909a0d1a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from target:/usr/lib64/libQt5Core.so.5
#5  0x00007f7e907ff544 in QThread::exec() () from target:/usr/lib64/libQt5Core.so.5
#6  0x00007f7e3d8bf0a7 in KCupsConnection::run() () from target:/usr/lib64/libkcupslib.so
#7  0x00007f7e908039ec in QThreadPrivate::start(void*) () from target:/usr/lib64/libQt5Core.so.5
#8  0x00007f7e901c6424 in start_thread () from target:/lib64/libpthread.so.0
#9  0x00007f7e923bedbd in clone () from target:/lib64/libc.so.6

Thread 2 (Thread 0x7f7e36d5a700 (LWP 31722)):
#0  0x00007f7e923b5d3d in poll () from target:/lib64/libc.so.6
#1  0x00007f7e8d9c0f4c in g_main_context_iterate.isra () from target:/usr/lib64/libglib-2.0.so.0
#2  0x00007f7e8d9c105c in g_main_context_iteration () from target:/usr/lib64/libglib-2.0.so.0
#3  0x00007f7e909f0eef in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from target:/usr/lib64/libQt5Core.so.5
#4  0x00007f7e909a0d1a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from target:/usr/lib64/libQt5Core.so.5
#5  0x00007f7e907ff544 in QThread::exec() () from target:/usr/lib64/libQt5Core.so.5
#6  0x00007f7e908039ec in QThreadPrivate::start(void*) () from target:/usr/lib64/libQt5Core.so.5
#7  0x00007f7e901c6424 in start_thread () from target:/lib64/libpthread.so.0
#8  0x00007f7e923bedbd in clone () from target:/lib64/libc.so.6

Thread 1 (Thread 0x7f7e9294a800 (LWP 31700)):
#0  0x00007f7e901cbfaf in pthread_cond_wait () from target:/lib64/libpthread.so.0
#1  0x00007f7e9080405a in QWaitCondition::wait(QMutex*, unsigned long) () from target:/usr/lib64/libQt5Core.so.5
#2  0x00007f7e907fe1fb in QSemaphore::acquire(int) () from target:/usr/lib64/libQt5Core.so.5
#3  0x00007f7e909acb49 in QMetaMethod::invoke(QObject*, Qt::ConnectionType, QGenericReturnArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument) const () from target:/usr/lib64/libQt5Core.so.5
#4  0x00007f7e909b13e1 in QMetaObject::invokeMethod(QObject*, char const*, Qt::ConnectionType, QGenericReturnArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument) () from target:/usr/lib64/libQt5Core.so.5
#5  0x00007f7e9267dbfe in Kded::messageFilter(QDBusMessage const&) () from target:/usr/lib64/libkdeinit5_kded5.so
#6  0x00007f7e929cf8a5 in QDBusSpyCallEvent::placeMetaCall(QObject*) () from target:/usr/lib64/libQt5DBus.so.5
#7  0x00007f7e909ca921 in QObject::event(QEvent*) () from target:/usr/lib64/libQt5Core.so.5
#8  0x00007f7e91dd81cc in QApplication::event(QEvent*) () from target:/usr/lib64/libQt5Widgets.so.5
#9  0x00007f7e91dd4a8c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from target:/usr/lib64/libQt5Widgets.so.5
#10 0x00007f7e91dd9cce in QApplication::notify(QObject*, QEvent*) () from target:/usr/lib64/libQt5Widgets.so.5
#11 0x00007f7e909a1e8a in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from target:/usr/lib64/libQt5Core.so.5
#12 0x00007f7e909a3eda in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from target:/usr/lib64/libQt5Core.so.5
#13 0x00007f7e909f0e73 in postEventSourceDispatch(_GSource*, int (*)(void*), void*) () from target:/usr/lib64/libQt5Core.so.5
#14 0x00007f7e8d9c0d57 in g_main_context_dispatch () from target:/usr/lib64/libglib-2.0.so.0
#15 0x00007f7e8d9c0fb0 in g_main_context_iterate.isra () from target:/usr/lib64/libglib-2.0.so.0
#16 0x00007f7e8d9c105c in g_main_context_iteration () from target:/usr/lib64/libglib-2.0.so.0
#17 0x00007f7e909f0eef in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from target:/usr/lib64/libQt5Core.so.5
#18 0x00007f7e909a0d1a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from target:/usr/lib64/libQt5Core.so.5
#19 0x00007f7e909a883c in QCoreApplication::exec() () from target:/usr/lib64/libQt5Core.so.5
#20 0x00007f7e926827fa in kdemain () from target:/usr/lib64/libkdeinit5_kded5.so
#21 0x00007f7e922f5660 in __libc_start_main () from target:/lib64/libc.so.6
#22 0x00000000004007b9 in _start ()
Comment 34 David Edmundson 2016-03-21 17:32:55 UTC
I'll make this non blocking as it really doesn't need to be, but it's not the real problem.

Whilst we're in that state, can you get the same trace on kded5 so we can see where that's stuck.
Comment 35 Eugene Shalygin 2016-03-21 17:36:16 UTC
And this one is from Dolphin when I invoke "Delete" for the first time after Dolphin launch:

(gdb) thread apply all bt

Thread 5 (Thread 0x7fffd1733700 (LWP 3510)):
#0  0x00007fffeeb3a358 in pthread_cond_timedwait () from /lib64/libpthread.so.0
#1  0x00007ffff2412038 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQt5Core.so.5
#2  0x00007ffff240ea72 in QThreadPoolThread::run() () from /usr/lib64/libQt5Core.so.5
#3  0x00007ffff24119ec in QThreadPrivate::start(void*) () from /usr/lib64/libQt5Core.so.5
#4  0x00007fffeeb34424 in start_thread () from /lib64/libpthread.so.0
#5  0x00007ffff784adbd in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7fffd2bcc700 (LWP 3504)):
#0  0x00007ffff7841d3d in poll () from /lib64/libc.so.6
#1  0x00007fffec9abf4c in g_main_context_iterate.isra () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fffec9ac05c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007ffff25feeef in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#4  0x00007ffff25aed1a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#5  0x00007ffff240d544 in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#6  0x00007ffff24119ec in QThreadPrivate::start(void*) () from /usr/lib64/libQt5Core.so.5
#7  0x00007fffeeb34424 in start_thread () from /lib64/libpthread.so.0
#8  0x00007ffff784adbd in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7fffd988f700 (LWP 3503)):
#0  0x00007ffff7841d3d in poll () from /lib64/libc.so.6
#1  0x00007fffec9abf4c in g_main_context_iterate.isra () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fffec9ac05c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007ffff25feeef in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#4  0x00007ffff25aed1a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#5  0x00007ffff240d544 in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#6  0x00007ffff7ed2395 in QDBusConnectionManager::run() () from /usr/lib64/libQt5DBus.so.5
#7  0x00007ffff24119ec in QThreadPrivate::start(void*) () from /usr/lib64/libQt5Core.so.5
#8  0x00007fffeeb34424 in start_thread () from /lib64/libpthread.so.0
#9  0x00007ffff784adbd in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7fffe1ec2700 (LWP 3502)):
#0  0x00007ffff7841d3d in poll () from /lib64/libc.so.6
#1  0x00007fffebe5dac2 in _xcb_conn_wait () from /usr/lib64/libxcb.so.1
#2  0x00007fffebe5f747 in xcb_wait_for_event () from /usr/lib64/libxcb.so.1
#3  0x00007fffe35cf239 in QXcbEventReader::run() () from /usr/lib64/libQt5XcbQpa.so.5
#4  0x00007ffff24119ec in QThreadPrivate::start(void*) () from /usr/lib64/libQt5Core.so.5
#5  0x00007fffeeb34424 in start_thread () from /lib64/libpthread.so.0
#6  0x00007ffff784adbd in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7fffe3d95840 (LWP 3494)):
#0  0x00007fffeeb39faf in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007ffff241205a in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQt5Core.so.5
#2  0x00007ffff7f29064 in QDBusPendingCallPrivate::waitForFinished() () from /usr/lib64/libQt5DBus.so.5
#3  0x00007ffff7ee5121 in QDBusConnectionPrivate::sendWithReply(QDBusMessage const&, int, int) () from /usr/lib64/libQt5DBus.so.5
#4  0x00007ffff7ee57f2 in QDBusConnectionPrivate::findMetaObject(QString const&, QString const&, QString const&, QDBusError&) () from /usr/lib64/libQt5DBus.so.5
#5  0x00007ffff7ef128d in QDBusInterfacePrivate::QDBusInterfacePrivate(QString const&, QString const&, QString const&, QDBusConnection const&) ()
   from /usr/lib64/libQt5DBus.so.5
#6  0x00007ffff7ef1405 in QDBusInterface::QDBusInterface(QString const&, QString const&, QString const&, QDBusConnection const&, QObject*) ()
   from /usr/lib64/libQt5DBus.so.5
#7  0x00007ffff60f9dd3 in KIO::JobUiDelegate::setWindow(QWidget*) () from /usr/lib64/libKF5KIOWidgets.so.5
#8  0x00007ffff74f815d in DolphinView::deleteSelectedItems() () from /usr/lib64/libdolphinprivate.so.5
#9  0x00007ffff25d7b6e in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib64/libQt5Core.so.5
#10 0x00007ffff2e297e2 in QAction::triggered(bool) () from /usr/lib64/libQt5Widgets.so.5
#11 0x00007ffff2e2c2e0 in QAction::activate(QAction::ActionEvent) () from /usr/lib64/libQt5Widgets.so.5
#12 0x00007ffff2f90072 in QMenuPrivate::activateCausedStack(QVector<QPointer<QWidget> > const&, QAction*, QAction::ActionEvent, bool) ()
   from /usr/lib64/libQt5Widgets.so.5
#13 0x00007ffff2f96266 in QMenuPrivate::activateAction(QAction*, QAction::ActionEvent, bool) () from /usr/lib64/libQt5Widgets.so.5
#14 0x00007ffff2f9a439 in QMenu::mouseReleaseEvent(QMouseEvent*) () from /usr/lib64/libQt5Widgets.so.5
#15 0x00007ffff2e76da8 in QWidget::event(QEvent*) () from /usr/lib64/libQt5Widgets.so.5
#16 0x00007ffff2f9aeab in QMenu::event(QEvent*) () from /usr/lib64/libQt5Widgets.so.5
#17 0x00007ffff2e32a8c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQt5Widgets.so.5
#18 0x00007ffff2e38441 in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQt5Widgets.so.5
#19 0x00007ffff25afe8a in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /usr/lib64/libQt5Core.so.5
#20 0x00007ffff2e37215 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) ()
   from /usr/lib64/libQt5Widgets.so.5
#21 0x00007ffff2e90df7 in QWidgetWindow::handleMouseEvent(QMouseEvent*) () from /usr/lib64/libQt5Widgets.so.5
#22 0x00007ffff2e92f4b in QWidgetWindow::event(QEvent*) () from /usr/lib64/libQt5Widgets.so.5
#23 0x00007ffff2e32a8c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQt5Widgets.so.5
#24 0x00007ffff2e37cce in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQt5Widgets.so.5
#25 0x00007ffff25afe8a in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /usr/lib64/libQt5Core.so.5
#26 0x00007ffff28e870b in QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*) () from /usr/lib64/libQt5Gui.so.5
#27 0x00007ffff28ea235 in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) () from /usr/lib64/libQt5Gui.so.5
#28 0x00007ffff28caa5b in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Gui.so.5
#29 0x00007fffe36037d0 in userEventSourceDispatch(_GSource*, int (*)(void*), void*) () from /usr/lib64/libQt5XcbQpa.so.5
#30 0x00007fffec9abd57 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#31 0x00007fffec9abfb0 in g_main_context_iterate.isra () from /usr/lib64/libglib-2.0.so.0
#32 0x00007fffec9ac05c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#33 0x00007ffff25feeef in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#34 0x00007ffff25aed1a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#35 0x00007ffff2f950bd in QMenu::exec(QPoint const&, QAction*) () from /usr/lib64/libQt5Widgets.so.5
#36 0x00007ffff7b57c32 in DolphinContextMenu::openItemContextMenu() () from /usr/lib64/libkdeinit5_dolphin.so
#37 0x00007ffff7b58fcd in DolphinContextMenu::open() () from /usr/lib64/libkdeinit5_dolphin.so
#38 0x00007ffff7b4e251 in DolphinMainWindow::openContextMenu(QPoint const&, KFileItem const&, QUrl const&, QList<QAction*> const&) ()
   from /usr/lib64/libkdeinit5_dolphin.so
#39 0x00007ffff25d7b6e in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib64/libQt5Core.so.5
#40 0x00007ffff751d1c4 in DolphinView::requestContextMenu(QPoint const&, KFileItem const&, QUrl const&, QList<QAction*> const&) () from /usr/lib64/libdolphinprivate.so.5
#41 0x00007ffff74f1f6e in DolphinView::slotItemContextMenuRequested(int, QPointF const&) () from /usr/lib64/libdolphinprivate.so.5
#42 0x00007ffff25d7b6e in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib64/libQt5Core.so.5
#43 0x00007ffff751b596 in KItemListController::itemContextMenuRequested(int, QPointF const&) () from /usr/lib64/libdolphinprivate.so.5
#44 0x00007ffff74b40fd in KItemListController::mousePressEvent(QGraphicsSceneMouseEvent*, QTransform const&) () from /usr/lib64/libdolphinprivate.so.5
#45 0x00007ffff74b3a04 in KItemListController::processEvent(QEvent*, QTransform const&) () from /usr/lib64/libdolphinprivate.so.5
#46 0x00007ffff74c56c2 in KItemListView::event(QEvent*) () from /usr/lib64/libdolphinprivate.so.5
#47 0x00007ffff2e32a8c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQt5Widgets.so.5
#48 0x00007ffff2e37cce in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQt5Widgets.so.5
#49 0x00007ffff25afe8a in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /usr/lib64/libQt5Core.so.5
#50 0x00007ffff312b883 in QGraphicsScenePrivate::sendEvent(QGraphicsItem*, QEvent*) () from /usr/lib64/libQt5Widgets.so.5
#51 0x00007ffff312c2e1 in QGraphicsScenePrivate::sendMouseEvent(QGraphicsSceneMouseEvent*) () from /usr/lib64/libQt5Widgets.so.5
#52 0x00007ffff3134996 in QGraphicsScenePrivate::mousePressEventHandler(QGraphicsSceneMouseEvent*) () from /usr/lib64/libQt5Widgets.so.5
#53 0x00007ffff3134dd9 in QGraphicsScene::mousePressEvent(QGraphicsSceneMouseEvent*) () from /usr/lib64/libQt5Widgets.so.5
#54 0x00007ffff313d5b0 in QGraphicsScene::event(QEvent*) () from /usr/lib64/libQt5Widgets.so.5
#55 0x00007ffff2e32a8c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQt5Widgets.so.5
#56 0x00007ffff2e37cce in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQt5Widgets.so.5
#57 0x00007ffff25afe8a in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /usr/lib64/libQt5Core.so.5
#58 0x00007ffff31575bf in QGraphicsView::mousePressEvent(QMouseEvent*) () from /usr/lib64/libQt5Widgets.so.5
#59 0x00007ffff2e7764f in QWidget::event(QEvent*) () from /usr/lib64/libQt5Widgets.so.5
#60 0x00007ffff2f54a0e in QFrame::event(QEvent*) () from /usr/lib64/libQt5Widgets.so.5
#61 0x00007ffff3158a2b in QGraphicsView::viewportEvent(QEvent*) () from /usr/lib64/libQt5Widgets.so.5
#62 0x00007ffff25afc4d in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from /usr/lib64/libQt5Core.so.5
#63 0x00007ffff2e32a65 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQt5Widgets.so.5
#64 0x00007ffff2e38441 in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQt5Widgets.so.5
#65 0x00007ffff25afe8a in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /usr/lib64/libQt5Core.so.5
#66 0x00007ffff2e37215 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) ()
   from /usr/lib64/libQt5Widgets.so.5
#67 0x00007ffff2e90a89 in QWidgetWindow::handleMouseEvent(QMouseEvent*) () from /usr/lib64/libQt5Widgets.so.5
#68 0x00007ffff2e92f4b in QWidgetWindow::event(QEvent*) () from /usr/lib64/libQt5Widgets.so.5
#69 0x00007ffff2e32a8c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQt5Widgets.so.5
#70 0x00007ffff2e37cce in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQt5Widgets.so.5
#71 0x00007ffff25afe8a in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /usr/lib64/libQt5Core.so.5
#72 0x00007ffff28e870b in QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*) () from /usr/lib64/libQt5Gui.so.5
#73 0x00007ffff28ea235 in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) () from /usr/lib64/libQt5Gui.so.5
#74 0x00007ffff28caa5b in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Gui.so.5
#75 0x00007fffe36037d0 in userEventSourceDispatch(_GSource*, int (*)(void*), void*) () from /usr/lib64/libQt5XcbQpa.so.5
#76 0x00007fffec9abd57 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#77 0x00007fffec9abfb0 in g_main_context_iterate.isra () from /usr/lib64/libglib-2.0.so.0
#78 0x00007fffec9ac05c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#79 0x00007ffff25feeef in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#80 0x00007ffff25aed1a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#81 0x00007ffff25b683c in QCoreApplication::exec() () from /usr/lib64/libQt5Core.so.5
#82 0x00007ffff7b61cf9 in kdemain () from /usr/lib64/libkdeinit5_dolphin.so
#83 0x00007ffff7781660 in __libc_start_main () from /lib64/libc.so.6
#84 0x00000000004007b9 in _start ()

This is just to illustrate that this QDBus bug penetrates almost everywhere...
Comment 36 Eugene Shalygin 2016-03-21 17:37:32 UTC
David, KDed log is in the bottom part of the comment #33
Comment 37 David Edmundson 2016-03-21 17:43:54 UTC
That trace doesn't make any sense.

#4 0x00007f7e909b13e1 in QMetaObject::invokeMethod(QObject*, char const*, 
#5 0x00007f7e9267dbfe in Kded::messageFilter(QDBusMessage const&) () from target:/usr/lib64/libkdeinit5_kded5.so

There is not queued method invocation in Kded::messageFilter

Do you have some kded patch applied?
Comment 38 David Edmundson 2016-03-21 17:45:46 UTC
Or your kded is super old and you don't have 827bad8a7db80ae0c02efa0eeea4bb4d00765316 
which came in for v5.18.0
Comment 39 Eugene Shalygin 2016-03-21 17:51:31 UTC
Oh, David, I'm so sorry! Indeed, there was one patch (commit 5e9c9ff09cc88448d41d9043ee156a5be1a9d880) on top of master branch.
Comment 40 David Edmundson 2016-03-27 16:22:56 UTC
Git commit cc5ee1a8495aaf126abf1e7c7d3163ea5813d279 by David Edmundson.
Committed on 27/03/2016 at 16:22.
Pushed by davidedmundson into branch 'master'.

Make one more DBus call async

Calling kded in a blocking way should be fine, but if we don't do
anything with the result, why wait?

Also avoids an introspection call.
REVIEW: 127475

M  +8    -2    dataengines/hotplug/hotplugjob.cpp

http://commits.kde.org/plasma-workspace/cc5ee1a8495aaf126abf1e7c7d3163ea5813d279
Comment 41 Martin Kyral 2016-04-11 16:05:57 UTC
Are the blocking calls in the device manager widget going to be fixed, too? I sometimes mount nfs drive and when I'm out of the connection and need to restart plasma (or plasma crashes), it won't come up because of it. I know the workaround (umount -l and restart plasmashell once more), but still.. it's annoying... 

Thanks!
Comment 42 David Edmundson 2016-06-21 00:11:48 UTC
This was caused by a bug in Qt5.6.0 with QtSignalSpy that caused kded to lock, thus locking any apps caling to it.